function [A,B,C,D,R,S] = computeParameterization_CRTBP(...
                            RL, lambda1, lambda2, ...
                            eta1, eta2, m1, m2, ...
                            scale, N)
                        
   
DF_RL = crtb_VectorField_AD_differential(RL, m1, m2); 

A = zeros(N+1, N+1);
B = zeros(N+1, N+1);
C = zeros(N+1, N+1);
D = zeros(N+1, N+1);
R = zeros(N+1, N+1);
S = zeros(N+1, N+1);

A(1,1) = RL(1);
B(1,1) = RL(2);
C(1,1) = RL(3);
D(1,1) = RL(4);
R(1,1) = RL(5);
S(1,1) = RL(6);

A(2,1) = scale*eta1(1);
B(2,1) = scale*eta1(2);
C(2,1) = scale*eta1(3);
D(2,1) = scale*eta1(4);
R(2,1) = scale*eta1(5);
S(2,1) = scale*eta1(6);

A(1,2) = scale*eta2(1);
B(1,2) = scale*eta2(2);
C(1,2) = scale*eta2(3);
D(1,2) = scale*eta2(4);
R(1,2) = scale*eta2(5);
S(1,2) = scale*eta2(6);

Id = eye(6);

coeff_mags = zeros(1, N+1);
coeff_mags(1) = norm(RL, inf);
coeff_mags(2) = max([norm(eta1, inf), norm(eta2, inf)]);

for order = 2:N
    order
    thisMax = 0;
    for subOrder = 0:order
        m = subOrder;
        n= order - subOrder;
        Mmn = DF_RL - (m*lambda1 + n*lambda2)*Id;
        this_rhs = -homEq_rhs(A,B,C,D,R,S,m1,m2,m,n);
        thisCoeff = Mmn\this_rhs;
        
        A(m+1,n+1) = thisCoeff(1);
        B(m+1,n+1) = thisCoeff(2);
        C(m+1,n+1) = thisCoeff(3);
        D(m+1,n+1) = thisCoeff(4);
        R(m+1,n+1) = thisCoeff(5);
        S(m+1,n+1) = thisCoeff(6);
        
        thisMag = norm(thisCoeff, inf);
        if thisMag > thisMax
            thisMax = thisMag;
        end
    end
    coeff_mags(order+1) = thisMax;
end
    
  
orderAxis = linspace(0, N, N+1);
figure
hold on 
plot(orderAxis, log(coeff_mags)/log(10))     



return
                        
                        
                        
                        
                        
                        
                        
                        
                        