function DP=evaluate_jacob_complexCase(s, t, A, B, C, D, N)

A_partial_s = zeros(N, N);
B_partial_s = zeros(N, N);
C_partial_s = zeros(N, N);
D_partial_s = zeros(N, N);

A_partial_t = zeros(N, N);
B_partial_t = zeros(N, N);
C_partial_t = zeros(N, N);
D_partial_t = zeros(N, N);


for m = 0:(N-1)
  for n = 0:(N-1)
    A_partial_s(m+1, n+1) = (m+1)*A(m+2, n+1) + (n+1)*A(m+1, n+2); 
    B_partial_s(m+1, n+1) = (m+1)*B(m+2, n+1) + (n+1)*B(m+1, n+2); 
    C_partial_s(m+1, n+1) = (m+1)*C(m+2, n+1) + (n+1)*C(m+1, n+2); 
    D_partial_s(m+1, n+1) = (m+1)*D(m+2, n+1) + (n+1)*D(m+1, n+2); 
    
    A_partial_t(m+1, n+1) = 1i*((m+1)*A(m+2, n+1) - (n+1)*A(m+1, n+2)); 
    B_partial_t(m+1, n+1) = 1i*((m+1)*B(m+2, n+1) - (n+1)*B(m+1, n+2)); 
    C_partial_t(m+1, n+1) = 1i*((m+1)*C(m+2, n+1) - (n+1)*C(m+1, n+2)); 
    D_partial_t(m+1, n+1) = 1i*((m+1)*D(m+2, n+1) - (n+1)*D(m+1, n+2));
  end
end
  


P_s = evaluate_complexCase(s, t, ...
                           A_partial_s, ...
                           B_partial_s, ...
                           C_partial_s, ...
                           D_partial_s, N-1);
P_t = evaluate_complexCase(s, t, ...
                           A_partial_t, ...
                           B_partial_t, ...
                           C_partial_t, ...
                           D_partial_t, ...
                           N-1);

%ys = evaluate_complexCase(s, t, B_partial_s, N-1);
%yt = evaluate_complexCase(s, t, B_partial_t, N-1);

%zs = evaluate_complexCase(s, t, C_partial_s, N-1);
%zt = evaluate_complexCase(s, t, C_partial_t, N-1);

DP = real([P_s, P_t]);
      
      