function thisSum = hatConvCoeff_cubic(a, b, c, m, n);

deltaHat = ones(m+1, m+1, n+1, n+1);
deltaHat(1, 1, 1, 1) = 0;
deltaHat(m+1, 1, n+1, 1) = 0;
deltaHat(m+1, m+1, n+1, n+1) = 0;


tic
thisSum = 0;

for j1 = 0:m
    for j2 = 0:j1
        for k1 = 0:n
            for k2 = 0:k1
                thisSum = thisSum + ...
                    deltaHat(j1+1, j2+1, k1+1, k2+1)*...
                    a(m-j1+1, n-k1+1)*b(j1-j2+1, k1-k2+1)*c(j2+1, k2+1);
            end
        end
    end
end
time1 = toc;


% 
% %Try 1:  Gives correct result...  Not faster...
% %build indices:
% 
% tic;
% 
% numIndices1 = nchoosek(2+m, 2);
% numIndices2 = nchoosek(2+n, 2);
% numIndices = numIndices1*numIndices2;
% indices = zeros(numIndices, 4);
% counter = 1;
% for j1 = 0:m
%     for j2 = 0:j1
%         for k1 = 0:n
%             for k2 = 0:k1
%                 indices(counter, 1:4) = [j1 j2 k1 k2];
%                 counter = counter+1;
%             end
%         end
%     end
% end
% 
% 
% theTerms = zeros(1, numIndices);
% for i = 1:numIndices
%     thisIndex = indices(i, 1:4);
%     j1 = thisIndex(1);
%     j2 = thisIndex(2);
%     k1 = thisIndex(3);
%     k2 = thisIndex(4);
%    theTerms(i) = deltaHat(j1+1, j2+1, k1+1, k2+1)*...
%                     a(m-j1+1, n-k1+1)*b(j1-j2+1, k1-k2+1)*c(j2+1, k2+1);
% end
% 
% 
% sum2 = sum(theTerms);
% time = toc;
% 
% if time < time1
%     time1
%     time
% end
% 
% %;
% %errorTest = abs(thisSum - sum2)
% %thisSum
% %
% 






