function [G, DG] = homoclinic_L4_flyBy_secondary_connectionMap(...
    sigma, theta, T, alpha, ...
    x1, x2, x3, x4, x5, ...
    Au, Bu, Cu, Du, ...
    As, Bs, Cs, Ds, ...
    N, mu, C, R, T1, T2)

[P_sigma, DP_sigma] = parmBD_L4_saddleFocus(...
                sigma, R, Au, Bu, Cu, Du, N);

[phi_Rx1, Dphi_Rx1, partial_alpha_phi_Rx1] = ...
    time_T_flow_PCRTBP_unfolding(...
       x1(1), x1(2), x1(3), x1(4), T, alpha, mu); 
            
[TRS_x2, DTRS_x2] = transform_rotatingToSecondary(x2, mu, C);  
   
[phi_Sx3, Dphi_Sx3] = ...
    time_T_flow_C1_regularized_m1(...
       x3(1), x3(2), x3(3), x3(4), T1, 1-mu, C);
  
[TSR_x4, DTSR_x4] = transform_secondaryToRotating(x4, mu, C);    
   
[phi_Rx5, Dphi_Rx5, partial_alpha_phi_Rx5] = ...
    time_T_flow_PCRTBP_unfolding(...
       x5(1), x5(2), x5(3), x5(4), T2, alpha, mu); 
                      
[Q_theta, DQ_theta] = parmBD_L4_saddleFocus(...
                theta, R, As, Bs, Cs, Ds, N);            
                       
 %Assemble the map:         
 G = [P_sigma - x1;
     phi_Rx1 - x2;
     TRS_x2 - x3;
     phi_Sx3 - x4;
     TSR_x4 - x5;
     phi_Rx5 - Q_theta];
 
 %Assemble the derivative:
 
 zeroVect = zeros(4, 1);
 zeroMat = zeros(4,4);
 Id = eye(4);
 
 col1 = [DP_sigma;
         zeroVect;
         zeroVect;
         zeroVect;
         zeroVect;
         zeroVect];
     
col2 = [zeroVect;
        zeroVect;
        zeroVect;
        zeroVect;
        zeroVect;
       -DQ_theta];     
 
col3 = [      zeroVect;
        Dphi_Rx1(:, 5);
              zeroVect;
              zeroVect;
              zeroVect;
              zeroVect]; 

col4 = [             zeroVect;
        partial_alpha_phi_Rx1;
                     zeroVect;
                     zeroVect;
                     zeroVect;
        partial_alpha_phi_Rx5];  
    
D1 = Dphi_Rx1(1:4, 1:4);     
D3 = Dphi_Sx3(1:4, 1:4);    
D5 = Dphi_Rx5(1:4, 1:4);

theBlock = [ -Id, zeroMat, zeroMat, zeroMat, zeroMat;
              D1,     -Id, zeroMat, zeroMat, zeroMat;
         zeroMat, DTRS_x2,     -Id, zeroMat, zeroMat;
         zeroMat, zeroMat,      D3,     -Id, zeroMat;
         zeroMat, zeroMat, zeroMat, DTSR_x4,     -Id;
         zeroMat, zeroMat, zeroMat, zeroMat,      D5];   

DG = [col1, col2, col3, col4, theBlock]; 
     
return
 
 
 
 
            









