function [G, DG] = ...
    homoclinic_L4_flyBy_secondary_connectionMap_multShooting(...
         sigma, theta, T, alpha, ...
         X, Y, Z, ...
         Au, Bu, Cu, Du, ...
         As, Bs, Cs, Ds, ...
         N, K1, K2, K3, ...
         mu, C, R, T1, T2)
     
     

%X is a matrix with 4 rows and (K1+1) columns
%Y is a matrix with 4 rows and (K2+1) columns
%Z is a matrix with 4 rows and  K3*4  columns
%
%The system has K1+K2+K3+3 4-d rows.

Id = eye(4);
ZeroMat = zeros(4, 4);
ZeroCol = zeros(4, 1);     
     
[P_sigma, DP_sigma] = parmBD_L4_saddleFocus(...
                sigma, R, Au, Bu, Cu, Du, N);    
     
     
G = P_sigma - X(:, 1);     
     
index1 = 0;
index2 = K1 + K2 + K3 + 1;
D1 = [];     
D_T = ZeroCol;
D_alpha = ZeroCol;

for k = 1:K1
 
       [phi_Rxk, Dphi_Rxk, partial_alpha_phi_Rxk] = ...
          time_T_flow_PCRTBP_unfolding(...
             X(1, k), X(2, k), X(3, k), X(4, k), T/K1, alpha, mu);          
                
            
       D_T = [D_T; Dphi_Rxk(:, 5)/K1];
       D_alpha = [D_alpha; partial_alpha_phi_Rxk];
         
       G = [G; phi_Rxk - X(:, k+1)];  
       
       
       temp_col = [];
       for m = 1:index1
           temp_col = [temp_col; 
                        ZeroMat];
       end

       temp_col = [temp_col; 
                        -Id;
         Dphi_Rxk(1:4, 1:4)];
       
       for n = 1:index2;
           temp_col = [temp_col;
                        ZeroMat];
       end
       
       
       D1 = [D1, temp_col];
       
       index1 = index1 + 1;
       index2 = index2 - 1;
end


         
[TRS_xK1_plus_1, DTRS_xK1_plus_1] = ...
    transform_rotatingToSecondary(X(:, K1+1), mu, C);  

G = [G; TRS_xK1_plus_1 - Y(:, 1)];

temp_col = [];
for m = 1:index1
    temp_col = [temp_col; 
                ZeroMat];
end

temp_col = [temp_col; 
                 -Id;
     DTRS_xK1_plus_1];
       
for n = 1:index2;
    temp_col = [temp_col;
                 ZeroMat];
end
            
D1 = [D1, temp_col];
    
D_alpha = [D_alpha; ZeroCol];
D_T = [D_T; ZeroCol];

index1 = index1 + 1;
index2 = index2 - 1;



for k = 1:K2
    
    [phi_Syk, Dphi_Syk] = ...
        time_T_flow_C1_regularized_m1(...
           Y(1, k), Y(2, k), Y(3, k), Y(4, k), T1/K2, 1-mu, C);     
              
    G = [G; phi_Syk - Y(:, k+1)];  
    
    temp_col = [];
    for m = 1:index1
        temp_col = [temp_col; 
                    ZeroMat];
    end

    temp_col = [temp_col; 
                     -Id;
      Dphi_Syk(1:4, 1:4)];
       
    for n = 1:index2;
        temp_col = [temp_col;
                     ZeroMat];
    end
      
     
    D_alpha = [D_alpha; ZeroCol];
    D_T = [D_T; ZeroCol];
    
    D1 = [D1, temp_col];
       
    index1 = index1 + 1;
    index2 = index2 - 1;

end


[TSR_yK2_plus_1, DTSR_yK2_plus_1] = ...
    transform_secondaryToRotating(Y(:, K2+1), mu, C);   


G = [G; TSR_yK2_plus_1 - Z(:, 1)];

temp_col = [];
for m = 1:index1
    temp_col = [temp_col; 
                ZeroMat];
end

temp_col = [temp_col; 
                 -Id;
     DTSR_yK2_plus_1];
       
for n = 1:index2;
    temp_col = [temp_col;
                 ZeroMat];
end
    
 
D_alpha = [D_alpha; ZeroCol];
D_T = [D_T; ZeroCol];

D1 = [D1, temp_col];
       
index1 = index1 + 1;
index2 = index2 - 1;



for k = 1:K3-1
    
  [phi_Rzk, Dphi_Rzk, partial_alpha_phi_Rzk] = ...
    time_T_flow_PCRTBP_unfolding(...
       Z(1,k), Z(2,k), Z(3,k), Z(4,k), T2/K3, alpha, mu); 
  
  
   G = [G; phi_Rzk - Z(:, k+1)];
   
   temp_col = [];
   for m = 1:index1
       temp_col = [temp_col; 
                    ZeroMat];
   end

   temp_col = [temp_col; 
                    -Id;
     Dphi_Rzk(1:4, 1:4)];
       
   for n = 1:index2;
       temp_col = [temp_col;
                    ZeroMat];
   end
    
   
    
   D_alpha = [D_alpha; partial_alpha_phi_Rzk];
   D_T = [D_T; ZeroCol];
   
   D1 = [D1, temp_col];
       
   index1 = index1 + 1;
   index2 = index2 - 1;
    
end
              
[Q_theta, DQ_theta] = parmBD_L4_saddleFocus(...
                theta, R, As, Bs, Cs, Ds, N);   

[phi_RzK3, Dphi_RzK3, partial_alpha_phi_RzK3] = ...
    time_T_flow_PCRTBP_unfolding(...
       Z(1, K3), Z(2,K3), Z(3,K3), Z(4,K3), T2/K3, alpha, mu);            
            
G = [G; phi_RzK3 - Q_theta];


temp_col = [];
for m = 1:index1
    temp_col = [temp_col; 
                 ZeroMat];
end

temp_col = [temp_col; 
                 -Id;
  Dphi_RzK3(1:4, 1:4)];
       
for n = 1:index2;
    temp_col = [temp_col;
                 ZeroMat];
end
 

D_alpha = [D_alpha; partial_alpha_phi_RzK3];
D_T = [D_T; ZeroCol];

D1 = [D1, temp_col];

D01 = DP_sigma;

for m = 1:K1+K2+K3+2
    D01 = [D01;
       ZeroCol];
end

D02 = [];
for m = 1:K1+K2+K3+2
    D02 = [D02;
       ZeroCol];
end

D02 =     [D02;
    -DQ_theta];

DG = [D01, D02, D_T, D_alpha, D1];

end






     
     