function [G, DG] = ...
    homoclinic_as_zero_map(theta, phi, T, alpha, R, ...
                           Au, Bu, Cu, Du, ...
                           As, Bs, Cs, Ds, ...
                           N, mu);


P = evaluate_complexCase(R*cos(theta), R*sin(theta), Au, Bu, Cu, Du, N);
Q = evaluate_complexCase(R*cos(phi), R*sin(phi), As, Bs, Cs, Ds, N);
DP = evaluate_jacob_complexCase(...
    R*cos(theta), R*sin(theta), Au, Bu, Cu, Du, N);
DQ = evaluate_jacob_complexCase(...
    R*cos(phi), R*sin(phi), As, Bs, Cs, Ds, N);

[Phi, DPhi, partial_alpha_Phi] = ...
    time_T_flow_PCRTBP_unfolding(P(1),P(2),P(3),P(4),T,alpha,mu);

G = Phi - Q;

partial_theta_Phi = DPhi(1:4, 1:4)*DP*[-R*sin(theta); R*cos(theta)];
partial_T_Phi = DPhi(1:4, 5);
partial_phi_Phi = -DQ*[-R*sin(phi); R*cos(phi)];

DG=[partial_theta_Phi, partial_phi_Phi, partial_T_Phi, partial_alpha_Phi];

end
