function [G, DG] = ...
    homoclinic_multipleShooting_map(sigma, theta, T, alpha, X, K, ...
                           Au, Bu, Cu, Du, ...
                           As, Bs, Cs, Ds, ...
                           N, mu);

R = 0.90;


P = evaluate_complexCase(R*cos(sigma), R*sin(sigma), Au, Bu, Cu, Du, N);
DP_sigma = R*evaluate_jacob_complexCase(...
    R*cos(sigma), R*sin(sigma), Au, Bu, Cu, Du, N)*...
    [-sin(sigma);
     cos(sigma)];


Id = eye(4);
ZeroMat = zeros(4,4);
ZeroCol = zeros(4, 1);

G = P - X(:, 1);

index1 = 0;
DG = [DP_sigma, ZeroCol, ZeroCol, ZeroCol, -Id];

for m = 2:K
    DG = [DG, ZeroMat];
end


for k = 1:K-1
    
    [phi_Pxk, Dphi_Pxk, partial_alpha] = ...
        time_T_flow_PCRTBP_unfolding(...
            X(1,k),X(2,k),X(3,k),X(4,k),...
            T/K,alpha,mu);
        
    G = [G; phi_Pxk - X(:, k+1)];
    
    Ak = Dphi_Pxk(1:4, 5)/K;
    Bk = partial_alpha;
    Dk = Dphi_Pxk(1:4, 1:4);
    
    thisRow = [ZeroCol, ZeroCol, Ak, Bk];
    
    for m = 2:k
       thisRow = [thisRow, ZeroMat]; 
    end
    
    thisRow = [thisRow, Dk, -Id];
    
    for m = k+2:K
       thisRow = [thisRow, ZeroMat]; 
    end
    
    DG = [DG; thisRow];
end



Q = evaluate_complexCase(R*cos(theta), R*sin(theta), As, Bs, Cs, Ds, N);
DQ_theta = R*evaluate_jacob_complexCase(...
    R*cos(theta), R*sin(theta), As, Bs, Cs, Ds, N)*...
    [-sin(theta); cos(theta)];

 [phi_Pxk, Dphi_Pxk, partial_alpha] = ...
        time_T_flow_PCRTBP_unfolding(...
            X(1,K),X(2,K),X(3,K),X(4,K),...
            T/K,alpha,mu);

 Ak = Dphi_Pxk(1:4, 5)/K;
 Bk = partial_alpha;
 Dk = Dphi_Pxk(1:4, 1:4);        
        
G = [G; phi_Pxk - Q];

thisRow = [ZeroCol, -DQ_theta, Ak, Bk];

for k = 1:K-1
    thisRow = [thisRow, ZeroMat];
end

thisRow = [thisRow, Dk];

DG = [DG; thisRow];



% 
% [Phi, DPhi, partial_alpha_Phi] = ...
%     time_T_flow_PCRTBP_unfolding(P(1),P(2),P(3),P(4),T,alpha,mu);
% 
% G = Phi - Q;
% 
% partial_theta_Phi = DPhi(1:4, 1:4)*DP*[-R*sin(theta); R*cos(theta)];
% partial_T_Phi = DPhi(1:4, 5);
% partial_phi_Phi = -DQ*[-R*sin(phi); R*cos(phi)];
% 
% DG=[partial_theta_Phi, partial_phi_Phi, partial_T_Phi, partial_alpha_Phi];
% 
% end