function [G, DG] = primaryCollisionToL4_connectionMap(...
    theta, sigma, T, alpha, x1, x2, x3, ...
    As, Bs, Cs, Ds, N, mu, C, R, tau)

[SP_theta, DSP_theta] = collisionSet_PrimaryBody(theta, mu, C)

[phi_P, Dphi_P] = time_T_flow_C1_regularized(... 
                   x1(1), x1(2), x1(3), x1(4), tau, mu, C);

[TPR, DTPR] = transform_primaryToRotating(x2, mu, C);

[phi, Dphi, partial_alpha_phi] = ...
    time_T_flow_PCRTBP_unfolding(x3(1), x3(2), x3(3), x3(4), T, alpha, mu);

[P_sigma, DP_sigma] = parmBD_L4_saddleFocus(...
                sigma, R, As, Bs, Cs, Ds, N);

%Assemble the map:
G = [SP_theta - x1;
     phi_P - x2;
     TPR - x3;
     phi - P_sigma];
  
 %Assemble the derivative:
 zeroVect = zeros(4, 1);
 zeroMat = zeros(4,4);
 Id = eye(4);

 F_phi_x3 = crtbField_unfolding(phi, mu, alpha);

 
 col1 = [DSP_theta;
         zeroVect;
         zeroVect;
         zeroVect];
     
 col2 = [zeroVect;
         zeroVect;
         zeroVect;
        -DP_sigma];
    
col3 = [zeroVect;
        zeroVect;
        zeroVect;
        F_phi_x3];   
 
col4 = [         zeroVect;
                 zeroVect;
                 zeroVect;
        partial_alpha_phi]; 
 
theBlock = [              -Id, zeroMat,           zeroMat; 
             Dphi_P(1:4, 1:4),     -Id,           zeroMat;
                      zeroMat,    DTPR,               -Id;
                      zeroMat, zeroMat,    Dphi(1:4, 1:4)];
           
 DG = [col1, col2, col3, col4, theBlock];     

return







