function [G, DG] = primaryToSecondary_collisionMapII(...
    theta, sigma, T, alpha, x1, x2, x3, x4, x5, mu, C, tau)



[SS_theta, DSS_theta] = collisionSet_PrimaryBody(theta, mu, C);
[SP_sigma, DSP_sigma] = collisionSet_secondaryBody(sigma, mu, C);

[phi_Sx1, Dphi_Sx1] = ...
    time_T_flow_C1_regularized(...
       x1(1), x1(2), x1(3), x1(4), tau, mu, C);
   
[phi_Rx3, Dphi_Rx3, partial_alpha_phi] = ...
    time_T_flow_PCRTBP_unfolding(...
       x3(1), x3(2), x3(3), x3(4), T, alpha, mu);

FPhi_Rx3 = crtbField_unfolding(phi_Rx3, mu, alpha);   
   
[phi_Px5, Dphi_Px5] = time_T_flow_C1_regularized_m1(...
    x5(1), x5(2), x5(3), x5(4), tau, 1-mu, C);
     
[TSR_x2, DTSR_x2] = transform_primaryToRotating(x2, mu, C); 
[TRP_x4, DTRP_x4] = transform_rotatingToSecondary(x4, mu, C);          
           
G1 = SS_theta - x1;
G2 = phi_Sx1 - x2;
G3 = TSR_x2 - x3;
G4 = phi_Rx3 - x4;
G5 = TRP_x4 - x5;
G6 = phi_Px5 - SP_sigma;

G = [G1;
     G2;
     G3;
     G4; 
     G5;
     G6];
 
 errorCheck = norm(G, inf)
 
 
 
 zero_vector = zeros(4, 1);
 zero_matrix = zeros(4, 4);
 Id = eye(4);
 
 Col1 = [DSS_theta;
       zero_vector;
       zero_vector;
       zero_vector;
       zero_vector;
       zero_vector];
   
Col2 = [zero_vector;
        zero_vector;
        zero_vector;
        zero_vector;
        zero_vector;
         -DSP_sigma];

Col3 = [zero_vector;
        zero_vector;
        zero_vector;
           FPhi_Rx3;
         zero_vector;
         zero_vector];
     
Col4 = [zero_vector;
        zero_vector;
        zero_vector;
  partial_alpha_phi;
        zero_vector;
        zero_vector];
    

size(Dphi_Sx1)    
    
Col5 = [      -Id;
         Dphi_Sx1(1:4, 1:4);
      zero_matrix;
      zero_matrix;
      zero_matrix;
      zero_matrix];
  
Col6 = [zero_matrix;
                -Id;
            DTSR_x2;
        zero_matrix;
        zero_matrix;
        zero_matrix];
    

Col7 = [zero_matrix;
        zero_matrix;
                -Id;
 Dphi_Rx3(1:4, 1:4); 
        zero_matrix;
        zero_matrix];
    
Col8 = [zero_matrix;
        zero_matrix;
        zero_matrix;
                -Id;
            DTRP_x4;
        zero_matrix];
    
Col9 = [zero_matrix;
        zero_matrix;
        zero_matrix;
        zero_matrix;
                -Id;
           Dphi_Px5(1:4, 1:4)];        
    
DG = [Col1, Col2, Col3, Col4, Col5, Col6, Col7, Col8, Col9];       
     




end    




















