function [r, error] = cauchyQuotient_intval(p, q, error1, error2, nu, N)

r = intval(zeros(N+1, 1));
r(1) = p(1)/q(1);

for n = 1:N
    
    temp1 = flipud(q(2:n+1));
    temp2 = r(1:n);
    temp = temp1.*temp2;
    sum1 = sum(temp);
      
    r(n+1) = p(n+1)/q(1) - sum1/q(1);
end

EN = intval(0);
for n = N+1:2*N
   
    temp1 = flipud(q(n-N+1:N+1));
    temp2 = r(n-N+1:N+1);
    temp = temp1.*temp2;
    sum1 = sum(temp);
    
   
   EN = EN + abs(sum1)*nu^n;
end

q_hat = q;
q_hat(1) = intval(0);
norm_q_hat = ellNuNorm_intval(q_hat, nu, N);
K_test = intval('1')/(abs(q(1)) - norm_q_hat - error2);

if sup(K_test) > 100
    M = 100
    the_min = inf;
    step = 2*intval('pi')/M;

    for m = 1:M
      thisInterval = infsup(inf((m-1)*step), sup(m*step));
      q_now = abs(horner(nu*exp(i*thisInterval), q, N));
      if inf(q_now) < the_min
        the_min = q_now;
      end
    end
    K = intval(min(sup(intval('1')/the_min), sup(K_test)));
else
    K = K_test;
end


norm_r = ellNuNorm_intval(r, nu, N);
error = K*(EN + error1 + norm_r*error2);

end