function dydt = crtb_regularizedVariationalField(...
                      t, IC, options, flag, mu, C)

%Regularized variational field for the large primary 
%in a form suitable for passing to a MatLab integrator
                  
                  
Y = IC(1:4);
M = [IC(5:8), IC(9:12), IC(13:16), IC(17:20)];

FIC = crtbpField_regularized(IC(1),IC(2),IC(3),IC(4),mu,C);


dydt = zeros(20, 1);
dydt(1:4) =   FIC;
   
DFx =  crtbpJacobian_regularized(IC(1),IC(2),IC(3),IC(4),mu,C);  
A = DFx*M;   
   
dydt(5:20) = [A(:, 1); A(:, 2); A(:, 3); A(:, 4)];

end