function dydt = crtb_regularizedVariationalField_m1(...
                      t, IC, options, flag, m1, C)

                  
%Regularized variational field for the second primary 
%in a form suitable for passing to a MatLab integrator                  
                  
Y = IC(1:4);
M = [IC(5:8), IC(9:12), IC(13:16), IC(17:20)];
 
FIC = crtbpField_regularized_mu1(IC(1),IC(2),IC(3),IC(4),m1,C);

dydt = zeros(20, 1);
dydt(1:4) =   FIC;
   
DFx =  crtbpJacobian_regularized_m1(IC(1),IC(2),IC(3),IC(4),m1,C);  
A = DFx*M;   
   
dydt(5:20) = [A(:, 1); A(:, 2); A(:, 3); A(:, 4)];



% x = Y(1);
% y = Y(3);
% 
% x_prime = Y(2);
% y_prime = Y(4);
% 
% r1 = sqrt((x-P1(1))^2 + (y-P1(2))^2);
% r2 = sqrt((x-P2(1))^2 + (y-P2(2))^2);
% r3 = sqrt((x-P3(1))^2 + (y-P3(2))^2);
% 
% A11 = m1*(x-P1(1))/r1^3;
% A12 = m2*(x-P2(1))/r2^3;
% A13 = m3*(x-P3(1))/r3^3;
% 
% A21 = m1*(y-P1(2))/r1^3;
% A22 = m2*(y-P2(2))/r2^3;
% A23 = m3*(y-P3(2))/r3^3;
% 
% Omega_x = x - A11 - A12 - A13;
% Omega_y = y - A21 - A22 - A23;
% 
% dydt = zeros(20, 1);
% dydt(1:4) =   [x_prime; 
%                2*y_prime + Omega_x; 
%                y_prime;
%               -2*x_prime + Omega_y];
%    
% DFx = crfbDiffMap_planar(Y, P1, P2, P3, m1, m2, m3);  
% A = DFx*M;   
%    
% dydt(5:20) = [A(:, 1); A(:, 2); A(:, 3); A(:, 4)];

end