function dydt = crtb_unfolding_variationalField(...
                      t, IC, options, flag, alpha, mu)

                  
%Variational field for the unfolding of the CRTBP in a form 
%suitable for passing to a MatLab integrator
                  
X = IC(1:4);
M = [IC(5:8), IC(9:12), IC(13:16), IC(17:20)];
Y = IC(21:24); 

FIC = crtbField(IC(1),IC(2),IC(3),IC(4),mu) + ...
    alpha*[0; IC(2); 0; IC(4)];

dydt = zeros(20, 1);
dydt(1:4) =   FIC;
   
Dalpha = [0,     0,  0,     0;
          0, alpha,  0,     0;
          0,     0,  0,     0;
          0,     0,  0, alpha];
      
DFx =  crtbpJacobian(IC(1),IC(2),IC(3),IC(4),mu) + Dalpha;  
A = DFx*M;   
   
dydt(5:20) = [A(:, 1); A(:, 2); A(:, 3); A(:, 4)];

alpha_partial = [0; IC(2); 0; IC(4)];

dydt(21:24) = DFx*Y + alpha_partial;

end