function DF = crtbpJacobian(x,p,y,q,mu)

%Deriavative of the CRTBP vector field

denom1 = ((x - mu)^2 + y^2)^(5/2);
denom2 = ((x + 1 - mu)^2 + y^2)^(5/2);

Omega_11 = 1 - (1-mu)*(-2*(x-mu)^2 + y^2)/denom1 - ...
               mu*(-2*(x + 1 - mu)^2 + y^2)/denom2;
Omega_12 = 3*(1-mu)*y*(x-mu)/denom1 + 3*mu*y*(x+1-mu)/denom2;
Omega_22 = 1 - (1-mu)*((x-mu)^2 - 2*y^2)/denom1 - ...
               mu*((x+1-mu)^2 - 2*y^2)/denom2;

DF = [0,          1,        0,   0;
      Omega_11,   0, Omega_12,   2;
      0,          0,        0,   1;
      Omega_12,  -2, Omega_22,   0];

  
end  
  

%   
% h = 10^(-8);
% Y = [x; p; y; q];
% FY = crtb_VectorField(Y, 1-mu, mu);
% 
% %First partial:
% dY = Y;
% dY(1) = dY(1) + h;
% FdY = crtb_VectorField(dY, 1-mu, mu);
% col1 = (FdY - FY)/h;
% 
% %Second partial:
% dY = Y;
% dY(2) = dY(2) + h;
% FdY = crtb_VectorField(dY, 1-mu, mu);
% col2 = (FdY - FY)/h;
% 
% %Third partial:
% dY = Y;
% dY(3) = dY(3) + h;
% FdY = crtb_VectorField(dY, 1-mu, mu);
% col3 = (FdY - FY)/h;
% 
% %Forth partial:
% dY = Y;
% dY(4) = dY(4) + h;
% FdY = crtb_VectorField(dY, 1-mu, mu);
% col4= (FdY - FY)/h;
% 
% DF_test = [col1, col2, col3, col4];
%   
% errorTest = norm(DF - DF_test, inf)
% 
% stopNow = stopHere
