function DF = crtbpJacobian_regularized(u,p,v,q,mu,C)


%Differential of the regularized vector field at the large primary

Nuu = -(2*(3*u^6 + (u^4)*(5 - 15*v^2) + ((-1 + v^2)^2)*(-1 + 3*v^2) + ...
    (u^2)*(1 - 2*v^2 - 15*v^4)))/(u^4 + (-1 + v^2)^2 + ...
   2*(u^2)*(1 + v^2))^(5/2);

Nuv = -(24*u*v*(u^2 + u^4 + v^2 - v^4))/(u^4 + (-1 + v^2)^2 + ...
   2*(u^2)*(1 + v^2))^(5/2);  

Nvv = (2*(3*u^6 + (u^4)*(7 - 15*v^2) + ((-1 + v^2)^2)*(1 + 3*v^2) + ...
   (u^2)*(5 + 2*v^2 - 15*v^4)))/(u^4 + (-1 + v^2)^2 + ...
  2*(u^2)*(1 + v^2))^(5/2);

Uuu = 12*(u^2 + v^2)^2 + 48*(u^2)*(u^2 + v^2) + 48*mu*u^2 + ...
      4*(mu-C) + 4*mu*Nuu;

Uuv = 48*u*v*(u^2 +v^2)+4*mu*Nuv;

Uvv = 12*(u^2 +v^2)^2 + 48*(v^2)*(u^2 +v^2)-48*mu*v^2 + ...
      4*(mu-C)+4*mu*Nvv;

a11 = 0;
a12 = 1;
a13 = 0; 
a14 = 0;

a21 = 16*u*q + Uuu; 
a22 = 0;
a23 = 16*v*q + Uuv;
a24 = 8*(u^2 + v^2);

a31 = 0;
a32 = 0;
a33 = 0;
a34 = 1;

a41 = -16*u*p + Uuv;
a42 = -8*(u^2 + v^2);
a43 = -16*v*p + Uvv;
a44 = 0;

DF = [a11, a12, a13, a14;
      a21, a22, a23, a24;
      a31, a32, a33, a34;
      a41, a42, a43, a44];
  
  
  
  


