function DF = crtbpJacobian_regularized_m1(u,p,v,q,m1,C)

%Differential of the regularized vector field at the second primary



Nuu = (2*(3*u^6-5*(u^4)*(3*v^2+1)+(u^2)*(-15*v^4+2*v^2+1)...
    + ((v^2+1)^2)*(3*v^2+1)))/...
    (((u^2 + v^2)^2 + 1 +2*(v^2 - u^2))^(5/2));

% Nuu = -(2*(3*u^6 + (u^4)*(5 - 15*v^2) + ((-1 + v^2)^2)*(-1 + 3*v^2) + ...
%     (u^2)*(1 - 2*v^2 - 15*v^4)))/(u^4 + (-1 + v^2)^2 + ...
%    2*(u^2)*(1 + v^2))^(5/2);

Nuv = (24*u*v*(u^4-u^2-v^4 -v^2))/...
    ((u^2 + v^2)^2 +1 +2*(v^2 - u^2))^(5/2);

% Nuv = -(24*u*v*(u^2 + u^4 + v^2 - v^4))/(u^4 + (-1 + v^2)^2 + ...
%    2*(u^2)*(1 + v^2))^(5/2);  


Nvv = -(2*(3*u^6-(u^4)*(15*v^2+7)+ ...
       (u^2)*(-15*v^4-2*v^2+5)+ ...
       ((v^2+1)^2)*(3*v^2-1)))/...
      ((u^2 + v^2)^2 +1 +2*(v^2 - u^2))^(5/2);


% Nvv = (2*(3*u^6 + (u^4)*(7 - 15*v^2) + ((-1 + v^2)^2)*(1 + 3*v^2) + ...
%    (u^2)*(5 + 2*v^2 - 15*v^4)))/(u^4 + (-1 + v^2)^2 + ...
%   2*(u^2)*(1 + v^2))^(5/2);

Uuu =  12*(u^2+v^2)^2 + 48*(u^2)*(u^2 + v^2) ...
       - 48*m1*u^2 + 4*(m1-C) + 4*m1*Nuu;

%Uuu = 12*(u^2 + v^2)^2 + 48*(u^2)*(u^2 + v^2) + 48*mu*u^2 + ...
%      4*(mu-C) + 4*mu*Nuu;

Uuv = 48*u*v*(u^2 +v^2)+4*m1*Nuv;

Uvv = 12*(u^2 +v^2)^2 + 48*(v^2)*(u^2 +v^2) + ...
      48*m1*v^2 + 4*(m1-C) + 4*m1*Nvv;

a11 = 0;
a12 = 1;
a13 = 0; 
a14 = 0;

a21 = 16*u*q + Uuu; 
a22 = 0;
a23 = 16*v*q + Uuv;
a24 = 8*(u^2 + v^2);

a31 = 0;
a32 = 0;
a33 = 0;
a34 = 1;

a41 = -16*u*p + Uuv;
a42 = -8*(u^2 + v^2);
a43 = -16*v*p + Uvv;
a44 = 0;

DF = [a11, a12, a13, a14;
      a21, a22, a23, a24;
      a31, a32, a33, a34;
      a41, a42, a43, a44];
  
  
  