function DF_bound = crtbp_regularized_primary_Diff_Bound(...
                    x_norm, u_norm, y_norm, v_norm, mu, C, r_star)

r1 = (x_norm - r_star)^2 + (y_norm - r_star)^2;
r2 = 2*(infsup(inf(x_norm)-r_star, sup(x_norm)+r_star)^2 - ...
        infsup(inf(y_norm)-r_star, sup(y_norm)+r_star)^2);

denomBound = intval('1')/(intval('1') + r1 + inf(r2));

Nxx_bound = 2*(3*(x_norm+r_star)^6 + ...
    ((x_norm+r_star)^4)*(5 + 15*(y_norm+r_star)^2) + ...
    ((x_norm+r_star)^2)*(1 + 2*(y_norm+r_star)^2 + 15*(y_norm+r_star)^4) + ...
    (((y_norm+r_star)^2 + 1)^2)*(3*(y_norm+r_star)^2 + 1))*denomBound;

Nxy_bound = 24*(x_norm+r_star)*(y_norm+r_star)*(...
    (x_norm+r_star)^4 + (x_norm+r_star)^2 + ...
    (y_norm+r_star)^4 + (y_norm+r_star)^2)*denomBound;

Nyy_bound =  2*(3*(x_norm+r_star)^6 + ...
    ((x_norm+r_star)^4)*(7 + 15*(y_norm+r_star)^2) + ...
    ((x_norm+r_star)^2)*(5 + 2*(y_norm+r_star)^2 + 15*(y_norm+r_star)^4) + ...
    (((y_norm+r_star)^2 + 1)^2)*(3*(y_norm+r_star)^2 + 1))*denomBound;

Uxx_bound = 4*abs(mu-C) + 48*mu*(x_norm+r_star)^2 + ...
    48*((x_norm+r_star)^2)*((x_norm+r_star)^2 + (y_norm+r_star)^2) + ...
    12*((x_norm+r_star)^2 + (y_norm+r_star)^2)^2 + ...
    4*mu*Nxx_bound;

Uxy_bound = 48*(x_norm+r_star)*(y_norm+r_star)*((x_norm+r_star)^2 ...
           + (y_norm+r_star)^2) + 4*mu*Nxy_bound;

Uyy_bound = 4*abs(mu-C) + 48*mu*(y_norm+r_star)^2 + ...
    48*((y_norm+r_star)^2)*((x_norm+r_star)^2 + (y_norm+r_star)^2) + ...
    12*((x_norm+r_star)^2 + (y_norm+r_star)^2)^2 + 4*mu*Nyy_bound;
       
g11 = 16*(x_norm+r_star)*(v_norm+r_star) + Uxx_bound;
 
g12 = 16*(y_norm+r_star)*(v_norm+r_star) + Uxy_bound;

g13 = 8*((x_norm+r_star)^2 + (x_norm+r_star)^2);
      

g21 = 16*(x_norm+r_star)*(u_norm+r_star) + Uxy_bound;

g22 = g13

g23 = 16*(y_norm+r_star)*(u_norm+r_star) + Uyy_bound;


DFX = intval(zeros(4,4));


DFX(1,1) = 0;
DFX(1,2) = intval(1);
DFX(1,3) = 0;
DFX(1,4) = 0;

DFX(2,1) = g11;
DFX(2,2) = 0;
DFX(2,3) = g12;
DFX(2,4) = g13;

DFX(3,1) = 0;
DFX(3,2) = 0;
DFX(3,3) = 0;
DFX(3,4) = 1;

DFX(4,1) = g21;
DFX(4,2) = g22;
DFX(4,3) = g23;
DFX(4,4) = 0;

DF_bound = norm(DFX, inf);

end
