function DF_bound = crtbp_unfolding_diff_Bound(...
                x_tilde1_norm, x_tilde2_norm, y_norm, c, mu, r_star)


r1 = sqrt((x_tilde1_norm - r_star)^2 + (y_norm - r_star)^2);
r2 = sqrt((x_tilde2_norm - r_star)^2 + (y_norm - r_star)^2);      

m1 = 1-mu;
m2 = mu;

%Partial omega xx
g11 = 3*m1*((x_tilde1_norm + r_star)^2)/(r1^5) + ...
         m2/(r2^3) + ...
         m1/(r1^3) + ...
      3*m2*((x_tilde2_norm + r_star)^2)/(r2^5) + 1;
 
%Partial omega xy
g12 = (3*m1*(x_tilde1_norm + r_star)*(y_norm + r_star))/(r1^5) + ...
      (3*m2*(x_tilde2_norm + r_star)*(y_norm + r_star))/(r2^5);
  
%Partial omega yx  
g21 = g12; 

%Partial omega yy
g22 = (3*m1*(y_norm + r_star)^2)/(r1^5) + ...
         m2/(r2^3) + m1/(r1^3) + ...
      (3*m2*(y_norm + r_star)^2)/(r2^5) + 1;

DFX = intval(zeros(4,4));

DFX(1,1) = 0;
DFX(1,2) = intval(1);
DFX(1,3) = 0;
DFX(1,4) = 0;

DFX(2,1) = g11;
DFX(2,2) = c;
DFX(2,3) = g12;
DFX(2,4) = intval(2);

DFX(3,1) = 0;
DFX(3,2) = 0;
DFX(3,3) = 0;
DFX(3,4) = 1;

DFX(4,1) = g12;
DFX(4,2) = intval(2);
DFX(4,3) = g22;
DFX(4,4) = c;

DF_bound = norm(DFX, inf);

end