function [u, p, v, q] = regularCoordinates(x,x_prime,y,y_prime, mu)

%Levi-Civita transformation: regularize primary body


z = x+1i*y;
w = sqrt(z-mu);
u = real(w);
v = imag(w);

p = 2*(u*x_prime + v*y_prime);
q = 2*(u*y_prime - v*x_prime);



