function transformedOrbit = returnToCRTBP_mu1(thisOrbit, mu, C)

%Convert from regularization at the secondary to CRTBP
%
%  Applies to a set of data points in regularized coordinates


numPoints = size(thisOrbit, 1)
thisOrbit_trans = zeros(4, numPoints);


for k = 1:numPoints
    thisPoint = thisOrbit(k, 1:4);
    [u_now, p_now, v_now, q_now] = regularCoordinatesInverse_mu1(...
        thisPoint(1),thisPoint(2),thisPoint(3),thisPoint(4),1-mu,C);
    thisOrbit_trans(1:4, k) = [u_now; p_now; v_now; q_now];
end

transformedOrbit = thisOrbit_trans;