function [phi, Dphi] = time_T_flow_C1_regularized(u,p,v,q,T,mu,C)
       
%For the Regularized field at the primary body: 
%computes the flow and the derivative of the flow for a phase point 
%(u,p,v,q) after time T


X = [u; p; v; q];
Id = eye(4);
IC = [X; Id(:, 1); Id(:, 2); Id(:, 3); Id(:, 4)];


%Integraton:
    options=odeset('RelTol',1e-13,'AbsTol',1e-14);
    [t,bigOrbit] = ode113('crtb_regularizedVariationalField', ...
                           T, IC, options, flag, mu, C);    
                       
                                              
phi = bigOrbit(end, 1:4)';
Dphi = zeros(4, 5);

Dphi(1:4, 1:4) = [bigOrbit(end, 5:8)', bigOrbit(end, 9:12)', ...
                  bigOrbit(end, 13:16)', bigOrbit(end, 17:20)',];
 
dTphi = crtbpField_regularized(phi(1),phi(2),phi(3),phi(4),mu,C);
              
Dphi(1:4, 5) = dTphi;

