function [phi, Dphi] = time_T_flow_C1_regularized_m1(u,p,v,q,T,m1,C)
       
%For the Regularized field at the secondary body: 
%computes the flow and the derivative of the flow for a phase point 
%(u,p,v,q) after time T.

X = [u; p; v; q];
Id = eye(4);
IC = [X; Id(:, 1); Id(:, 2); Id(:, 3); Id(:, 4)];


%Integraton:
    options=odeset('RelTol',1e-13,'AbsTol',1e-13);
    [t,bigOrbit] = ode45('crtb_regularizedVariationalField_m1', ...
                           T, IC, options, flag, m1, C);    
                       
                       
                       
phi = bigOrbit(end, 1:4)';
Dphi = zeros(4, 5);

Dphi(1:4, 1:4) = [bigOrbit(end, 5:8)', bigOrbit(end, 9:12)', ...
                  bigOrbit(end, 13:16)', bigOrbit(end, 17:20)',];
 
dTphi = crtbpField_regularized_mu1(phi(1),phi(2),phi(3),phi(4),m1,C);
              
Dphi(1:4, 5) = dTphi;