function [phi, Dphi, partial_alpha_phi] = ...
    time_T_flow_PCRTBP_unfolding(x,p,y,q,T,alpha,mu)
       

%Evaluates flow, derivative, and partial wrt parameter
%for the unfolding of the CRTBP

X = [x; p; y; q];
Id = eye(4);
Y = zeros(4, 1);
IC = [X; Id(:, 1); Id(:, 2); Id(:, 3); Id(:, 4); Y];


%Integraton:
    options=odeset('RelTol',1e-13,'AbsTol',1e-13);
    [t,bigOrbit] = ode45('crtb_unfolding_variationalField', ...
                           T, IC, options, flag, alpha, mu);    
                       
                                         
phi = bigOrbit(end, 1:4)';
Dphi = zeros(4, 5);

Dphi(1:4, 1:4) = [bigOrbit(end, 5:8)', bigOrbit(end, 9:12)', ...
                  bigOrbit(end, 13:16)', bigOrbit(end, 17:20)',];
 
dTphi = crtbField(phi(1),phi(2),phi(3),phi(4),mu)+ ...
    alpha*[0;
           phi(2);
           0;
           phi(4)];
Dphi(1:4, 5) = dTphi;
partial_alpha_phi = bigOrbit(end, 21:24)';

end