function [TSR, DTSR] = transform_secondaryToRotating(X, mu, C) 

%Coordinate change with differential from secondary to original coord

x = X(1);
p = X(2);
y = X(3);
q = X(4);

[Tx, Tp, Ty, Tq] = regularCoordinatesInverse_mu1(...
                           x, p, y, q, 1-mu, C);

TSR = [Tx; 
       Tp;
       Ty;
       Tq];

d11 = 2*x;
d12 = 0;
d13 = -2*y;
d14 = 0;

d21 = (p*(y^2-x^2) + 2*q*x*y)/(2*(x^2 + y^2)^2);
d22 = x/(2*(x^2 + y^2));
d23 = (q*(y^2 - x^2) - 2*p*x*y)/(2*(x^2 + y^2)^2);
d24 = -y/(2*(x^2 + y^2));

d31 = 2*y;
d32 = 0;
d33 = 2*x;
d34 = 0;

d41 = (q*(y^2 - x^2) - 2*p*x*y)/(2*(x^2 + y^2)^2); 
d42 = y/(2*(x^2 + y^2));
d43 = (p*(x^2 - y^2) - 2*q*x*y)/(2*(x^2 + y^2)^2);
d44 = x/(2*(x^2 + y^2));
   
DTSR = [d11, d12, d13, d14;
        d21, d22, d23, d24;
        d31, d32, d33, d34;
        d41, d42, d43, d44];
    
end