function [DFN, r_DFN] = ...
    evaluate_crtbp_regularized_primary_Differential_poly_Intval(...
                                   xN, uN, yN, vN, ...
                                   r1, r2, r3, r4, ...
                                   mu, C, nu, N);
                                  
alpha2 = -intval(5)/intval(2);    
   
[x2, r_x2] = ...
    cauchyProduct_intval(xN, xN, r1, r1, nu, N);
 
[x4, r_x4] = ...
    cauchyProduct_intval(x2, x2, r_x2, r_x2, nu, N);

[x6, r_x6] = ...
    cauchyProduct_intval(x4, x2, r_x4, r_x2, nu, N);

[xu, r_xu] = ...
    cauchyProduct_intval(xN, uN, r1, r2, nu, N);

[xv, r_xv] = ...
    cauchyProduct_intval(xN, vN, r1, r4, nu, N);

[xy, r_xy] = ...
    cauchyProduct_intval(xN, yN, r1, r3, nu, N);

[yu, r_yu] = ...
    cauchyProduct_intval(yN, uN, r3, r2, nu, N);

[yv, r_yv] = ...
    cauchyProduct_intval(yN, vN, r3, r4, nu, N);

[y2, r_y2] = ...
    cauchyProduct_intval(yN, yN, r3, r3, nu, N);

[y4, r_y4] = ...
    cauchyProduct_intval(y2, y2, r_y2, r_y2, nu, N);

[y6, r_y6] = ...
    cauchyProduct_intval(y4, y2, r_y4, r_y2, nu, N);

[x2_y2_2, r_x2_y2_2] = ...
   cauchyProduct_intval(x2 + y2, x2 + y2, r_x2 + r_y2, r_x2 + r_y2, nu, N);

[x2x2_x2y2, r_x2x2_x2y2] = ...
    cauchyProduct_intval(x2, x2+y2, r_x2, r_x2 + r_y2, nu, N);

 [xyx2_xyy2, r_xyx2_xyy2] = ...
    cauchyProduct_intval(xy, x2+y2, r_xy, r_x2 + r_y2, nu, N);

[y2x2_y2y2, r_y2x2_y2y2] = ...
    cauchyProduct_intval(y2, x2+y2, r_y2, r_x2 + r_y2, nu, N);

%Constant Series (CS):
CS_1 = intval(zeros(N+1, 1));
CS_1(1) = 1;
CS_5 = intval(zeros(N+1, 1));
CS_5(1) = 5;
CS_7 = intval(zeros(N+1, 1));
CS_7(1) = 7;

term1 = 3*x6;
r_term1 = 3*r_x6;
[term2, r_term2] = ...
    cauchyProduct_intval(x4, CS_5-15*y2, r_x4, 15*r_y2, nu, N);
[term3, r_term3] = ...
    cauchyProduct_intval(...
      x2, -15*y4 - 2*y2 + CS_1, r_x2, 15*r_y4 + 2*r_y2, nu, N);

[temp1, r_temp1] = cauchyProduct_intval(...
      y2-CS_1, y2-CS_1, r_y2, r_y2, nu, N); 
  
[term4, r_term4] = ...
    cauchyProduct_intval(...
      temp1, 3*y2 - CS_1, r_temp1, 3*r_y2, nu, N);

N_xx_numerator = -2*(term1 + term2 + term3 + term4);
r_xx_numerator = 2*(r_term1 + r_term2 + r_term3 + r_term4);


[temp1, r_temp1] = cauchyProduct_intval(...
      xy, x4+x2-y4+y2, r_xy, r_x4+r_x2+r_y4+r_y2, nu, N); 
N_xy_numerator = -24*temp1;
r_xy_numerator = 24*r_temp1;


term1 = 3*x6;
r_term1 = 3*r_x6;
[term2, r_term2] = ...
    cauchyProduct_intval(x4, CS_7-15*y2, r_x4, 15*r_y2, nu, N);
[term3, r_term3] = ...
    cauchyProduct_intval(...
      x2, -15*y4 + 2*y2 + CS_5, r_x2, 15*r_y4 + 2*r_y2, nu, N);
 
[temp1, r_temp1] = cauchyProduct_intval(...
      y2-CS_1, y2-CS_1, r_y2, r_y2, nu, N);   
[term4, r_term4] = ...
    cauchyProduct_intval(...
      temp1, 3*y2 + CS_1, r_temp1, 3*r_y2, nu, N);

N_yy_numerator = 2*(term1 + term2 + term3 + term4);
r_yy_numerator = 2*(r_term1 + r_term2 + r_term3 + r_term4);


%Quotients:
Q = x2_y2_2 + 2*(x2-y2) + CS_1;
r_Q = r_x2_y2_2 + 2*r_x2 + 2*r_y2;
                                                          
[R, r_R] = cauchyAlphaPower_intval(Q, alpha2, r_Q, nu, N);
 
[Nxx, r_Nxx] = cauchyProduct_intval(...
    N_xx_numerator, R, r_xx_numerator, r_R, nu, N);

[Nxy, r_Nxy] = cauchyProduct_intval(...
    N_xy_numerator, R, r_xy_numerator, r_R, nu, N);

[Nyy, r_Nyy] = cauchyProduct_intval(...
    N_yy_numerator, R, r_yy_numerator, r_R, nu, N);

Uxx = 48*mu*x2 + 48*x2x2_x2y2 + 12*x2_y2_2 + 4*mu*Nxx;
r_Uxx = 48*mu*r_x2 + 48*r_x2x2_x2y2 + 12*r_x2_y2_2 + 4*mu*r_Nxx;

Uxy = 48*xyx2_xyy2 + 4*mu*Nxy;
r_Uxy = 48*r_xyx2_xyy2 + 4*mu*r_Nxy;

Uyy = -48*mu*y2 + 48*y2x2_y2y2 + 12*x2_y2_2 + 4*mu*Nyy;
r_Uyy = 48*mu*r_y2 + 48*r_y2x2_y2y2 + 12*r_x2_y2_2 + 4*mu*r_Nyy;


%Set up output:


DFN = intval(zeros(4, 4, N+1));

for n = 0:N
   An = [                  0,                    0,                      0,                   0;
         16*xv(n+1)+Uxx(n+1),                    0,    16*yv(n+1)+Uxy(n+1), 8*(x2(n+1)+y2(n+1));
                           0,                    0,                      0,                   0;
        -16*xu(n+1)+Uxy(n+1), -8*(x2(n+1)+y2(n+1)), -16*yu(n+1) + Uyy(n+1),                   0];
      
   DFN(:, :, n+1) = An; 
end

DFN(:, :, 1) = DFN(:, :, 1) + intval([       0,  1,        0, 0;
                                      4*(mu-C),  0,        0, 0;
                                             0,  0,        0, 1;
                                             0,  0, 4*(mu-C), 0]);
                                         
                                         
r_mat = [         0, 0,          0, 0;
         16*r_xv+r_Uxx, 0, 16*r_yv + r_Uxy, 8*(r_x2 + r_y2);
                  0, 0,          0, 0;
         16*r_xu + r_Uxy, 8*(r_x2 + r_y2), 16*r_yu + r_Uyy, 0];
     
r_DFN = norm(r_mat, inf);

