function [TPR, DTPR] = transform_primaryToRotating_intval(X, mu, C, r_star) 

x = X(1);
p = X(2);
y = X(3);
q = X(4);

[Tx, Tp, Ty, Tq] = regularCoordinatesInverse(...
                           x, p, y, q, mu, C);

TPR = [Tx; 
       Tp;
       Ty;
       Tq];

Ix = x + infsup(-r_star, r_star);   
Ip = p + infsup(-r_star, r_star);   
Iy = y + infsup(-r_star, r_star);   
Iq = q + infsup(-r_star, r_star);   

   
d11 = 2*Ix;
d12 = 0;
d13 = -2*Iy;
d14 = 0;

d21 = (Ip*(Iy^2-Ix^2) + 2*Iq*Ix*Iy)/(2*(Ix^2 + Iy^2)^2);
d22 = Ix/(2*(Ix^2 + Iy^2));
d23 = (q*(Iy^2 - Ix^2) - 2*Ip*Ix*Iy)/(2*(Ix^2 + Iy^2)^2);
d24 = -Iy/(2*(Ix^2 + Iy^2));

d31 = 2*Iy;
d32 = 0;
d33 = 2*Ix;
d34 = 0;

d41 = (Iq*(Iy^2 - Ix^2) - 2*Ip*Ix*Iy)/(2*(Ix^2 + Iy^2)^2); 
d42 = Iy/(2*(Ix^2 + Iy^2));
d43 = (Ip*(Ix^2 - Iy^2) - 2*Iq*Ix*Iy)/(2*(Ix^2 + Iy^2)^2);
d44 = Ix/(2*(Ix^2 + Iy^2));
   
DTPR = [d11, d12, d13, d14;
        d21, d22, d23, d24;
        d31, d32, d33, d34;
        d41, d42, d43, d44];
    
end