function [A,B,C,D,R,S] = computeParameterizationII_CRTBP_intval(...
                            RL, lambda1, lambda2, ...
                            eta1, eta2, m1, m2, ...
                            scale, N)
                        
   
DF_RL = crtb_VectorField_AD_differential_intval(RL, m1, m2); 

A = intval(zeros(N+1, N+1));
B = intval(zeros(N+1, N+1));
C = intval(zeros(N+1, N+1));
D = intval(zeros(N+1, N+1));
R = intval(zeros(N+1, N+1));
S = intval(zeros(N+1, N+1));

R3 = intval(zeros(N+1, N+1));
S3 = intval(zeros(N+1, N+1));
AB = intval(zeros(N+1, N+1));
CD = intval(zeros(N+1, N+1));


A(1,1) = RL(1);
B(1,1) = RL(2);
C(1,1) = RL(3);
D(1,1) = RL(4);
R(1,1) = RL(5);
S(1,1) = RL(6);

R3(1,1) = R(1,1)^3;
S3(1,1) = S(1,1)^3;
AB(1,1) = A(1,1)*B(1,1);
CD(1,1) = C(1,1)*D(1,1);



A(2,1) = scale*eta1(1);
B(2,1) = scale*eta1(2);
C(2,1) = scale*eta1(3);
D(2,1) = scale*eta1(4);
R(2,1) = scale*eta1(5);
S(2,1) = scale*eta1(6);

A(1,2) = scale*eta2(1);
B(1,2) = scale*eta2(2);
C(1,2) = scale*eta2(3);
D(1,2) = scale*eta2(4);
R(1,2) = scale*eta2(5);
S(1,2) = scale*eta2(6);

R3(2,1) = 3*R(2,1)*R(1,1)^2;
S3(2,1) = 3*S(2,1)*S(1,1)^2;
AB(2,1) = A(1,1)*B(2,1) + B(1,1)*A(2,1);
CD(2,1) = C(1,1)*D(2,1) + D(1,1)*C(2,1);

R3(1,2) = 3*R(1,2)*R(1,1)^2;
S3(1,2) = 3*S(1,2)*S(1,1)^2;
AB(1,2) = A(1,1)*B(1,2) + B(1,1)*A(1,2);
CD(1,2) = C(1,1)*D(1,2) + D(1,1)*C(1,2);

Id = intval(eye(6));


totalTime = 0
for order = 2:N
    order
    tic
    for subOrder = 0:order
        m = subOrder;
        n= order - subOrder;
        Mmn = DF_RL - (m*lambda1 + n*lambda2)*Id;
        [this_rhs, R3_hat_mn, S3_hat_mn, AB_hat_mn, CD_hat_mn] = ...
                homEq_rhs_intval_2(...
                       A,B,C,D,...
                       R,S,R3,S3,...
                       AB,CD,...
                       m1,m2,...
                       m,n);
       
                   
        this_rhs = -this_rhs;           
        thisCoeff = Mmn\this_rhs;
        
        A(m+1,n+1) = thisCoeff(1);
        B(m+1,n+1) = thisCoeff(2);
        C(m+1,n+1) = thisCoeff(3);
        D(m+1,n+1) = thisCoeff(4);
        R(m+1,n+1) = thisCoeff(5);
        S(m+1,n+1) = thisCoeff(6);
        
        R3(m+1, n+1) = R3_hat_mn + (3*R(1,1)^2)*R(m+1, n+1); 
        S3(m+1, n+1) = S3_hat_mn + (3*S(1,1)^2)*S(m+1, n+1);
        AB(m+1, n+1) = AB_hat_mn + A(1,1)*B(m+1, n+1) + B(1,1)*A(m+1,n+1);
        CD(m+1, n+1) = CD_hat_mn + C(1,1)*D(m+1, n+1) + D(1,1)*C(m+1,n+1);
    
    end
    orderTime = toc/60
    totalTime = totalTime + orderTime;
end

totalTime

    
return




