function DP=evaluate_jacob_Parm_intval(z1, z2, A, B, C, D, N)

A_partial_1 = intval(zeros(N, N));
B_partial_1 = intval(zeros(N, N));
C_partial_1 = intval(zeros(N, N));
D_partial_1 = intval(zeros(N, N));

A_partial_2 = intval(zeros(N, N));
B_partial_2 = intval(zeros(N, N));
C_partial_2 = intval(zeros(N, N));
D_partial_2 = intval(zeros(N, N));


for m = 0:(N-1)
  for n = 0:(N-1)
    A_partial_1(m+1, n+1) = (m+1)*A(m+2, n+1); 
    B_partial_1(m+1, n+1) = (m+1)*B(m+2, n+1); 
    C_partial_1(m+1, n+1) = (m+1)*C(m+2, n+1); 
    D_partial_1(m+1, n+1) = (m+1)*D(m+2, n+1); 
    
    A_partial_2(m+1, n+1) = (n+1)*A(m+1, n+2); 
    B_partial_2(m+1, n+1) = (n+1)*B(m+1, n+2); 
    C_partial_2(m+1, n+1) = (n+1)*C(m+1, n+2); 
    D_partial_2(m+1, n+1) = (n+1)*D(m+1, n+2);
  end
end
  


P_1 = evaluate_Parm_intval(z1, z2, ...
                           A_partial_1, ...
                           B_partial_1, ...
                           C_partial_1, ...
                           D_partial_1, N-1);
P_2 = evaluate_Parm_intval(z1, z2, ...
                           A_partial_2, ...
                           B_partial_2, ...
                           C_partial_2, ...
                           D_partial_2, ...
                           N-1);

%ys = evaluate_complexCase(s, t, B_partial_s, N-1);
%yt = evaluate_complexCase(s, t, B_partial_t, N-1);

%zs = evaluate_complexCase(s, t, C_partial_s, N-1);
%zt = evaluate_complexCase(s, t, C_partial_t, N-1);

DP = [P_1, P_2];







