function [Rmn, R3_hat_mn, S3_hat_mn, AB_hat_mn, CD_hat_mn] = ...
                homEq_rhs_intval_2(...
                       A,B,C,D,...
                       R,S,...
                       R3,S3,...
                       AB,CD,...
                       m1,m2,...
                       m,n)

R3_hat_mn = hatConvCoeff_cubic_intval(R, R, R, m, n);
S3_hat_mn = hatConvCoeff_cubic_intval(S, S, S, m, n);
AB_hat_mn = hatConvCoeff_quadratic_intval(A, B, m, n);
CD_hat_mn = hatConvCoeff_quadratic_intval(C, D, m, n);


smn2_1 = hatConvCoeff_quadratic_intval(A, R3, m, n) + A(1,1)*R3_hat_mn;
smn2_2 = R3_hat_mn;
smn2_3 = hatConvCoeff_quadratic_intval(A, S3, m, n) + A(1,1)*S3_hat_mn;
smn2_4 = S3_hat_mn;
    

smn2 = ...
 -m1*smn2_1 ...   %??1(a??r??r??r)mn 
 +m1*m2*smn2_2 ...    %+ ?1?2(r??r??r)mn;
 -m2*smn2_3 ...   %? ?2(a??s??s??s)mn 
 -m1*m2*smn2_4;       %? ?1?2(s??s??s)mn


smn4_1 =hatConvCoeff_quadratic_intval(C, R3, m, n) + C(1,1)*R3_hat_mn;
smn4_2 = hatConvCoeff_quadratic_intval(C, S3, m, n) + C(1,1)*S3_hat_mn;

smn4 =  ...
  -m1*smn4_1 ...  %??1(c??r??r??r)mn 
  -m2*smn4_2;     %??2(c??s??s??s)mn;

% smn4_test =  ...
%   -m1*hatConvCoeff_quartic_intval(C,R,R,R,m,n) ...  %??1(c??r??r??r)mn 
%   -m2*hatConvCoeff_quartic_intval(C,S,S,S,m,n);     %??2(c??s??s??s)mn;
% 
% 
% errorTest = abs(smn4 - smn4_test)
% 



smn5_1 = hatConvCoeff_quadratic_intval(AB, R3, m, n) ...
            + A(1,1)*B(1,1)*R3_hat_mn + (R(1,1)^3)*AB_hat_mn;

smn5_2 = hatConvCoeff_quadratic_intval(B, R3, m, n) + B(1,1)*R3_hat_mn;


smn5_3 = hatConvCoeff_quadratic_intval(CD, R3, m, n) ...
          + C(1,1)*D(1,1)*R3_hat_mn + (R(1,1)^3)*CD_hat_mn;
        
smn5 =  -smn5_1  ...  %?(a??b??r??r??r)mn 
  +m2*smn5_2 ...  %+?2(b??r??r??r)mn 
  -smn5_3;      %?(c??d??r??r??r)mn;


% smn5_test = ...
%   -hatConvCoeff_quintic_intval(A,B,R,R,R,m,n)  ...  %?(a??b??r??r??r)mn 
%   +m2*hatConvCoeff_quartic_intval(B,R,R,R,m,n) ...  %+?2(b??r??r??r)mn 
%   -hatConvCoeff_quintic_intval(C,D,R,R,R,m,n);      %?(c??d??r??r??r)mn;
% 



smn6_1 = hatConvCoeff_quadratic_intval(AB, S3, m, n) ...
            + A(1,1)*B(1,1)*S3_hat_mn + (S(1,1)^3)*AB_hat_mn;

smn6_2 = hatConvCoeff_quadratic_intval(B, S3, m, n) + B(1,1)*S3_hat_mn;


smn6_3 = hatConvCoeff_quadratic_intval(CD, S3, m, n) ...
          + C(1,1)*D(1,1)*S3_hat_mn + (S(1,1)^3)*CD_hat_mn;
 
      
smn6 =  -smn6_1  ...  %?(a??b??r??r??r)mn 
  -m1*smn6_2 ...  %+?2(b??r??r??r)mn 
  -smn6_3;      %?(c??d??r??r??r)mn;


% smn6_test =  ...
%   -hatConvCoeff_quintic_intval(A,B,S,S,S,m,n)  ...  %?(a??b??s??s??s)mn 
%   -m1*hatConvCoeff_quartic_intval(B,S,S,S,m,n) ...  %+?1(b??s??s??s)mn 
%   -hatConvCoeff_quintic_intval(C,D,S,S,S,m,n);      %?(c??d??s??s??s)mn;;
%     
% errorTest = abs(smn6 - smn6_test)

Rmn = [0;
       smn2;
       0;
       smn4;
       smn5;
       smn6];

end








% if ((m+n) > 3) & (m > 1) & (n > 1) 
%  m
%  n
%         
%         CR3 = intval(zeros(m+n+1, m+n+1));
%         CRRR = intval(zeros(m+n+1, m+n+1));
%         RRR = intval(zeros(m+n+1, m+n+1));
%         
%         for order = 0:m+n-1
%             for subOrder = 0:order
%                 m1 = order - subOrder;
%                 n1 = subOrder;
%                 
%                 
%                     RRR(m1+1, n1+1) = convCoeff_cubic_intval(R,R,R,m1,n1); 
%                     CR3(m1+1, n1+1) = convCoeff_quadratic_intval(C, R3, m1, n1);
%                     CRRR(m1+1, n1+1) = convCoeff_quartic_intval(C, R, R, R, m1, n1);
%                 
%              
%             end
%         end
%         
%         test01 = norm(CR3 - CRRR, inf)
%         nnz(RRR)
%         nnz(R3(1:m+n+1,1:m+n+1))
%         test02 = norm(RRR - R3(1:m+n+1,1:m+n+1))
%         
%         return
%         
%          x = 0.05 + 1i*0.01
%          y = 0.04+1i*0.02
%          R3xy = evaluatePoly2D(x, y, R3, m+n)
%          RRRxy = evaluatePoly2D(x, y, RRR, m+n)
%          R_R_Rxy = evaluatePoly2D(x, y, R, m+n)^3
%          CR3xy = evaluatePoly2D(x, y, CR3, m+n)
%          CRRRxy = evaluatePoly2D(x, y, CRRR, m+n)
%          C_R_R_R = evaluatePoly2D(x, y, C, m+n)*evaluatePoly2D(x, y, R, m+n)^3
%         
%          return
%          
%          test1 = convCoeff_quartic_intval(C, R, R, R, m, n)
%          test2 = convCoeff_quadratic_intval(C, R3, m, n)
%          test3 = hatConvCoeff_quartic_intval(C, R, R, R, m, n)
%          
% % smn4_1_test2 = hatConvCoeff_quartic_intval(C,R,R,R,m,n)
% % smn4_1_test3 = hatConvCoeff_quadratic_intval(C, R3, m, n)
% % 
% % errorTest = abs(smn4_1_test2 - smn4_1_test3)
% 
% end






