function [errorBound, proofSuccess] = ...
    validateParmeterizedManifold_intval(...
    A, B, C, D, R, S, L4, ...
    lambda, lambda_bar, xi, xi_bar, m1, m2, N)






%=====================================================================
%Validation
%=====================================================================

%Resolvent Bound:
RL4 = constraintFunction_AD_intval(L4, m1, m2);
DF_RL4 = crtb_VectorField_AD_differential_intval(RL4, m1, m2);
DF_norm = norm(DF_RL4);

tau = intval('1')/intval('20')     %intval(sup(1/DF_norm - intval(0.1)))

M = 20
R_tilde = intval(zeros(6,6,M));
R_tilde(:, :, 1) = -tau*intval(eye(6));

for n = 2:M
   n
   thisCoeff = tau*DF_RL4*R_tilde(:, :, n-1); 
   R_tilde(1:6, 1:6, n) = thisCoeff;
   
   thisNorm = norm(thisCoeff, inf)
   
end

resolventBound = intval(0);
for n = 1:M
    
    resolventBound = resolventBound + norm(R_tilde(1:6,1:6, n), inf)
end

%
% m = 16
% n = 14
% abs(m*lambda_u + n*lambda_uBar)


resolventDomain = 1/tau
tailBound = (tau*(tau*DF_norm)^M)/(1 - tau*DF_norm)
resolventBound = resolventBound + tailBound

 
%FFT Bound:
tic

%Comp 2 terms:
ARRR_prod = taylorconvolution(A, R, R, R);

%RRR_prod = TaylorTaylor_int(cat(3, Ru, Ru, Ru),1);
RRR_prod = taylorconvolution(R, R, R);

%ASSS_prod = TaylorTaylor_int(cat(3, Au,Su, Su, Su),1);
ASSS_prod = taylorconvolution(A, S, S, S);

%SSS_prod = TaylorTaylor_int(cat(3, Su, Su, Su),1);
SSS_prod = taylorconvolution(S, S, S);


%Comp 4 terms:
%CRRR_prod = TaylorTaylor_int(cat(3, Cu, Ru, Ru, Ru),1);
CRRR_prod = taylorconvolution(C, R, R, R);

%CSSS_prod = TaylorTaylor_int(cat(3, Cu, Su, Su, Su),1);
CSSS_prod = taylorconvolution(C, S, S, S);


%Comp 5 terms:
%ABRRR_prod = TaylorTaylor_int(cat(3, Au, Bu, Ru, Ru, Ru),1);
ABRRR_prod = taylorconvolution(A, B, R, R, R);

%BRRR_prod = TaylorTaylor_int(cat(3, Bu,Ru, Ru, Ru),1);
BRRR_prod = taylorconvolution(B, R, R, R);

%CDRRR_prod = TaylorTaylor_int(cat(3, Cu, Du, Ru, Ru, Ru),1);
CDRRR_prod = taylorconvolution(C, D, R, R, R);

%Comp 6 terms:
%ABSSS_prod = TaylorTaylor_int(cat(3, Au, Bu, Su, Su, Su),1);
ABSSS_prod = taylorconvolution(A, B, S, S, S);

%BSSS_prod = TaylorTaylor_int(cat(3, Bu,Su, Su, Su),1);
BSSS_prod = taylorconvolution(B, S, S, S);

%CDSSS_prod = TaylorTaylor_int(cat(3, Cu, Du, Su, Su, Su),1);
CDSSS_prod = taylorconvolution(C, D, S, S, S);

prodTime = toc


%Build the nonlinearity:

F2 = -m1*ARRR_prod + m1*m2*RRR_prod - m2*ASSS_prod - m1*m2*SSS_prod;
F4 = -m1*CRRR_prod - m2*CSSS_prod;
F5 = -ABRRR_prod + m2*BRRR_prod - CDRRR_prod;
F6 = -ABSSS_prod - m1*BSSS_prod - CDSSS_prod;

DF = crtb_VectorField_AD_differential_intval(RL4, m1, m2); 
Id = intval(eye(6));
Tu_bounds = intval(zeros(5*N+1, 5*N+1));

overFlowCount = 0;
 for order = (N+1):5*N
     tic
     order_Tmn = order
     for subOrder = 0:order
         m = order-subOrder;
         n = subOrder;
         
         z = m*lambda + n*lambda_bar;
           
         Fmn = [intval(0);
             F2(m+1, n+1);
                intval(0);             
             F4(m+1, n+1);
             F5(m+1, n+1);
             F6(m+1, n+1)];
         
         if abs(z) < inf(resolventDomain);
             Tmn = inv(DF - (m*lambda + n*lambda_bar)*Id)*Fmn;
             Tu_bounds(m+1, n+1) = ...
                 hull(Tmn(1), Tmn(2), Tmn(3), Tmn(4), Tmn(5), Tmn(6));
         else 
             Cmn = evaluateResolventBound(R_tilde, 1/z, tailBound, M);
             Tmn = Cmn*Fmn;
             Tu_bounds(m+1, n+1) = ...
                 hull(Tmn(1), Tmn(2), Tmn(3), Tmn(4), Tmn(5), Tmn(6));
         end
             
     end
     Tu_orderTime = toc
     overFlowCount
 end
 
 
norm_Tu = ellOneNorm(Tu_bounds, 5*N)
 
 
%Bound the contraction rate:

R_star = intval(2^(-20))                 %about 10^(-6)
A_hatNorm = hatNorm_intval(A, N)
B_hatNorm = hatNorm_intval(B, N)
C_hatNorm = hatNorm_intval(C, N)
D_hatNorm = hatNorm_intval(D, N)
R_hatNorm = hatNorm_intval(R, N)
S_hatNorm = hatNorm_intval(S, N)


PN_hat = [A_hatNorm;
          B_hatNorm;
          C_hatNorm;
          D_hatNorm;
          R_hatNorm;
          S_hatNorm];

      
DN = crtbDifferential_nonlinearPart_intval(PN_hat+R_star, m1, m2);

DS_bound = norm(DN, inf)
 

Y0 = intval(sup(norm_Tu))


DT_bound = resolventBound*DS_bound

Z2 = DT_bound

if sup(4*Z2*Y0) >= 1
    crashNow = badManitoldProof
end

proofSuccess = 1;
errorBound = 2*Y0/(1 + sqrt(1 - 4*Z2*Y0))




