function [G, DG, TS] = ...
    homoclinic_L4_flyBy_secondary_connectionMap_multShooting_intval(...
         sigma, theta, T, alpha, ...
         X, Y, Z, N_parm, N_taylor, ...
         Au, Bu, Cu, Du, tailBound_u, ...
         As, Bs, Cs, Ds, tailBound_s, ...
         K1, K2, K3, ...
         mu, C, R, T1, T2, r_star)
     
     

%X is a matrix with 4 rows and (K1+1) columns
%Y is a matrix with 4 rows and (K2+1) columns
%Z is a matrix with 4 rows and  K3*4  columns
%
%The system has K1+K2+K3+3 4-d rows.

Id = intval(eye(4));
ZeroMat = intval(zeros(4, 4));
ZeroCol = intval(zeros(4, 1));     
    
                 
[P_sigma, DP_sigma] = parmBD_L4_saddleFocus_intval(...
                sigma, R, Au, Bu, Cu, Du, ...
                N_parm, sup(tailBound_u), r_star);      

     
G = P_sigma - X(:, 1);     
     
errorCheck = norm(P_sigma - X(:, 1), inf)

index1 = 0;
index2 = K1 + K2 + K3 + 1;
D1 = intval([]);     
D_T = intval(ZeroCol);
D_alpha = intval(ZeroCol);

for k = 1:K1
  
    k
    K1
    
    [phi_Rxk, Dphi_Rxk, partial_T_phi_Rxk, partial_alpha_phi_Rxk] = ...
         time_T_flow_PCRTBP_unfolding_intval(...
             X(1,k), X(2,k), X(3,k), X(4,k), ...
             T/K1, alpha, mu, r_star, N_taylor);  
         
            
       D_T = [D_T; partial_T_phi_Rxk/K1];
       D_alpha = [D_alpha; partial_alpha_phi_Rxk];
         
       G = [G; phi_Rxk - X(:, k+1)];  
       
       ckeckError = norm(phi_Rxk - X(:, k+1), inf)
       globalError = norm(G, inf)
       
       temp_col = intval([]);
       for m = 1:index1
           temp_col = [temp_col; 
                        ZeroMat];
       end

       temp_col = [temp_col; 
                        -Id;
         Dphi_Rxk(1:4, 1:4)];
       
       for n = 1:index2;
           temp_col = [temp_col;
                        ZeroMat];
       end
       
       
       D1 = [D1, temp_col];
       
       index1 = index1 + 1;
       index2 = index2 - 1;
end


         
[TRS_xK1_plus_1, DTRS_xK1_plus_1] = ...
    transform_rotatingToSecondary_intval(X(:, K1+1), mu, C, r_star);  

G = [G; TRS_xK1_plus_1 - Y(:, 1)];

errorCheck = sup(norm(TRS_xK1_plus_1 - Y(:, 1), inf))
globalError = norm(G, inf)

temp_col = intval([]);
for m = 1:index1
    temp_col = [temp_col; 
                ZeroMat];
end

temp_col = [temp_col; 
                 -Id;
     DTRS_xK1_plus_1];
       
for n = 1:index2;
    temp_col = [temp_col;
                 ZeroMat];
end
            
D1 = [D1, temp_col];
    
D_alpha = [D_alpha; ZeroCol];
D_T = [D_T; ZeroCol];

index1 = index1 + 1;
index2 = index2 - 1;


TS = intval(0);

for k = 1:K2
    
    k
    K2
    
    [phi_Syk, Dphi_Syk, t_S] = time_T_flow_C1_regularized_m1_intval(...
       Y(1,k), Y(2,k), Y(3,k), Y(4,k), T1/K2, 1-mu, C, r_star, N_taylor);
    
    TS = TS + t_S    
    
    G = [G; phi_Syk - Y(:, k+1)];  
    
    checkError = sup(norm(phi_Syk - Y(:, k+1), inf))
    globalError = norm(G, inf)
    
    temp_col = intval([]);
    for m = 1:index1
        temp_col = [temp_col; 
                    ZeroMat];
    end

    temp_col = [temp_col; 
                     -Id;
      Dphi_Syk(1:4, 1:4)];
       
    for n = 1:index2;
        temp_col = [temp_col;
                     ZeroMat];
    end
      
     
    D_alpha = [D_alpha; ZeroCol];
    D_T = [D_T; ZeroCol];
    
    D1 = [D1, temp_col];
       
    index1 = index1 + 1;
    index2 = index2 - 1;

end


[TSR_yK2_plus_1, DTSR_yK2_plus_1] = ...
    transform_secondaryToRotating_intval(Y(:, K2+1), mu, C, r_star);   


G = [G; TSR_yK2_plus_1 - Z(:, 1)];

errorTest = sup(norm(TSR_yK2_plus_1 - Z(:, 1), inf))
globalError = norm(G, inf)

temp_col = intval([]);
for m = 1:index1
    temp_col = [temp_col; 
                ZeroMat];
end

temp_col = [temp_col; 
                 -Id;
     DTSR_yK2_plus_1];
       
for n = 1:index2;
    temp_col = [temp_col;
                 ZeroMat];
end
    
 
D_alpha = [D_alpha; ZeroCol];
D_T = [D_T; ZeroCol];

D1 = [D1, temp_col];
       
index1 = index1 + 1;
index2 = index2 - 1;



for k = 1:K3-1
    
   k 
   K3
    
   [phi_Rzk, Dphi_Rzk, partial_T_phi_Rzk, partial_alpha_phi_Rzk] = ...
         time_T_flow_PCRTBP_unfolding_intval(...
             Z(1,k), Z(2,k), Z(3,k), Z(4,k), ...
             T2/K3, alpha, mu, r_star, N_taylor);    
    
   G = [G; phi_Rzk - Z(:, k+1)];
   
   errorTest = sup(norm(phi_Rzk - Z(:, k+1), inf))
   globalError = norm(G, inf)
   
   temp_col = intval([]);
   for m = 1:index1
       temp_col = [temp_col; 
                    ZeroMat];
   end

   temp_col = [temp_col; 
                    -Id;
     Dphi_Rzk(1:4, 1:4)];
       
   for n = 1:index2;
       temp_col = [temp_col;
                    ZeroMat];
   end
    
     
   D_alpha = [D_alpha; partial_alpha_phi_Rzk];
   D_T = [D_T; ZeroCol];
   
   D1 = [D1, temp_col];
       
   index1 = index1 + 1;
   index2 = index2 - 1;
    
end
        
      
[Q_theta, DQ_theta] = parmBD_L4_saddleFocus_intval(...
                theta, R, As, Bs, Cs, Ds, ...
                N_parm, sup(tailBound_s), r_star);

 
[phi_RzK3, Dphi_RzK3, partial_T_phi_RzK3, partial_alpha_phi_RzK3] = ...
         time_T_flow_PCRTBP_unfolding_intval(...
             Z(1,K3), Z(2,K3), Z(3,K3), Z(4,K3), ...
             T2/K3, alpha, mu, r_star, N_taylor);              
                      
G = [G; phi_RzK3 - Q_theta];

errorTest = norm(phi_RzK3 - Q_theta, inf)
globalError = norm(G, inf)

temp_col = intval([]);
for m = 1:index1
    temp_col = [temp_col; 
                 ZeroMat];
end

temp_col = [temp_col; 
                 -Id;
  Dphi_RzK3(1:4, 1:4)];
       
for n = 1:index2;
    temp_col = [temp_col;
                 ZeroMat];
end
 

D_alpha = [D_alpha; partial_alpha_phi_RzK3];
D_T = [D_T; ZeroCol];

D1 = [D1, temp_col];

D01 = DP_sigma;

for m = 1:K1+K2+K3+2
    D01 = [D01;
       ZeroCol];
end

D02 = intval([]);
for m = 1:K1+K2+K3+2
    D02 = [D02;
       ZeroCol];
end

D02 =     [D02;
    -DQ_theta];

DG = [D01, D02, D_T, D_alpha, D1];

end
