function [G, DG] = ...
    homoclinic_multipleShooting_map_intval(...
                           sigma, theta, T, alpha, X, R, K, ...
                           Au, Bu, Cu, Du, ...
                           As, Bs, Cs, Ds, ...
                           tailBound_u, tailBound_s, N_parm, ...
                           mu, N_taylor, r_star);
                       
[P_sigma, DP_sigma] = parmBD_L4_saddleFocus_intval(...
                sigma, R, Au, Bu, Cu, Du, ...
                N_parm, sup(tailBound_u), r_star);                       
        

Id = intval(eye(4));
ZeroMat = intval(zeros(4,4));
ZeroCol = intval(zeros(4, 1));

G = P_sigma - X(:, 1);

errorTest = norm(P_sigma - X(:, 1), inf)

DG = [DP_sigma, ZeroCol, ZeroCol, ZeroCol, -Id];

for m = 2:K
    DG = [DG, ZeroMat];
end


for k = 1:K-1
    
    k
    K-1
    
    [phi_Pxk, Dphi_Pxk, partial_T_phi_Pxk, partial_alpha_phi_Pxk] = ...
         time_T_flow_PCRTBP_unfolding_intval(...
             X(1,k), X(2,k), X(3,k), X(4,k), ...
             T/K, alpha, mu, r_star, N_taylor);
   
        
    G = [G; phi_Pxk - X(:, k+1)];
    
    errorTest = norm(phi_Pxk - X(:, k+1), inf)
    size_G_test = norm(G, inf)
    
    Ak = partial_T_phi_Pxk/K;
    Bk = partial_alpha_phi_Pxk;
    Dk = Dphi_Pxk;
    
    thisRow = [ZeroCol, ZeroCol, Ak, Bk];
    
    for m = 2:k
       thisRow = [thisRow, ZeroMat]; 
    end
    
    thisRow = [thisRow, Dk, -Id];
    
    for m = k+2:K
       thisRow = [thisRow, ZeroMat]; 
    end
    
    DG = [DG; thisRow];
end


                     
[Q_theta, DQ_theta] = parmBD_L4_saddleFocus_intval(...
                theta, R, As, Bs, Cs, Ds, ...
                N_parm, sup(tailBound_s), r_star); 


 [phi_Pxk, Dphi_Pxk, partial_T_phi_Pxk, partial_alpha_phi_Pxk] = ...
         time_T_flow_PCRTBP_unfolding_intval(...
             X(1,K), X(2,K), X(3,K), X(4,K), ...
             T/K, alpha, mu, r_star, N_taylor);            
            
            
 Ak = partial_T_phi_Pxk/K;
 Bk = partial_alpha_phi_Pxk;
 Dk = Dphi_Pxk;        
        
G = [G; phi_Pxk - Q_theta];

errorTest = norm(phi_Pxk - Q_theta, inf)
size_G_test = norm(G, inf)

thisRow = [ZeroCol, -DQ_theta, Ak, Bk];

for k = 1:K-1
    thisRow = [thisRow, ZeroMat];
end

thisRow = [thisRow, Dk];

DG = [DG; thisRow];

