function [G, DG, TS] = ...
    primaryCollisionToL4_connectionMap_multShooting_intval(...
        theta, sigma, T, alpha, X, Y, K1, K2, ...
        As, Bs, Cs, Ds, N_parm, tailBound, ...
        mu, C, R_int, tau, r_star, N_taylorInt)

%X is a matrix with 4 rows and (K1+1) columns
%Y is a matrix with 4 rows and (K2+1) columns
%Z is a matrix with 4 rows and  K3*4  columns
%
%The system has K1+K2+K3+3 4-d rows.

Id = intval(eye(4));
ZeroMat = intval(zeros(4, 4));
ZeroCol = intval(zeros(4, 1));

[SP_theta, DSP_theta] = ...
    collisionSet_PrimaryBody_intval(theta, mu, C, r_star);

G = SP_theta - X(:, 1);

index1 = 0;
index2 = K1 + K2;
D1 = intval([]);
TS = intval(0);

for k = 1:K1

       k
       K1
    
       [phi_Pxk, Dphi_Pxk, t_S] = ...
              time_T_flow_C1_regularized_intval(...
                    X(1,k), X(2,k), X(3, k), X(4, k), ...
                    tau/K1, mu, C, r_star, N_taylorInt); 
        
        TS = TS + t_S       
                
       G = [G; phi_Pxk - X(:, k+1)];  
       
       localError = norm(phi_Pxk - X(:, k+1), inf)
       errorCheck = norm(G, inf)
       
       temp_col = intval([]);
       for m = 1:index1
           temp_col = [temp_col; 
                        ZeroMat];
       end

       temp_col = [temp_col; 
                        -Id;
         Dphi_Pxk(1:4, 1:4)];
       
       for n = 1:index2;
           temp_col = [temp_col;
                        ZeroMat];
       end
       
       
       D1 = [D1, temp_col];
       
       index1 = index1 + 1;
       index2 = index2 - 1;
end



[TPR_xK1_plus_1, DTPR_xK1_plus_1] = ...
    transform_primaryToRotating_intval(X(:, K1+1), mu, C, r_star); 

G = [G; TPR_xK1_plus_1 - Y(:, 1)];


thisError = norm(TPR_xK1_plus_1 - Y(:, 1), inf)
errorCheck = norm(G, inf)

temp_col = intval([]);
for m = 1:index1
    temp_col = [temp_col; 
                ZeroMat];
end

temp_col = [temp_col; 
                 -Id;
     DTPR_xK1_plus_1];
       
for n = 1:index2;
    temp_col = [temp_col;
                 ZeroMat];
end
             
D1 = [D1, temp_col];
       
index1 = index1 + 1;
index2 = index2 - 1;

D_T = intval([]);
D_alpha = intval([]);

for k = 1:K2-1
    
    k
    K2
    
    [phi_Ryk, Dphi_Ryk, partial_T_phi_Ryk, partial_alpha_phi_Ryk] = ...
         time_T_flow_PCRTBP_unfolding_intval(...
             Y(1,k), Y(2,k), Y(3,k), Y(4,k), ...
             T/K2, alpha, mu, r_star, N_taylorInt);
         
    G = [G; phi_Ryk - Y(:, k+1)];  
    
    thisError = sup(norm(phi_Ryk - Y(:, k+1), inf))
    errorCheck = norm(G, inf)
    
    D_T = [D_T; partial_T_phi_Ryk/K2];
    D_alpha = [D_alpha; partial_alpha_phi_Ryk];
    
    temp_col = intval([]);
    for m = 1:index1
        temp_col = [temp_col; 
                    ZeroMat];
    end

    temp_col = [temp_col; 
                     -Id;
      Dphi_Ryk(1:4, 1:4)];
       
    for n = 1:index2
        temp_col = [temp_col;
                     ZeroMat];
    end
          
    D1 = [D1, temp_col];
       
    index1 = index1 + 1;
    index2 = index2 - 1;

end



[P_sigma, DP_sigma] = parmBD_L4_saddleFocus_intval(...
          sigma, R_int, As, Bs, Cs, Ds, N_parm, sup(tailBound), r_star);

            
 [phi_RyK2, Dphi_RyK2, partial_T_phi_RyK2, partial_alpha_phi_RyK2] = ...
         time_T_flow_PCRTBP_unfolding_intval(...
             Y(1,K2), Y(2,K2), Y(3,K2), Y(4,K2), ...
             T/K2, alpha, mu, r_star, N_taylorInt);
      
D_alpha = [D_alpha; partial_alpha_phi_RyK2];
D_T = [D_T; partial_T_phi_RyK2/K2];         

G = [G; phi_RyK2 - P_sigma];

errorCheck = norm(G, inf)

temp_col = intval([]);
for m = 1:index1
    temp_col = [temp_col; 
                 ZeroMat];
end

temp_col = [temp_col; 
                 -Id;
  Dphi_RyK2(1:4, 1:4)];
       
for n = 1:index2;
    temp_col = [temp_col;
                 ZeroMat];
end
          
D1 = [D1, temp_col];
D01 = DSP_theta;

for m = 1:K1+K2+1
    D01 = [D01;
       ZeroCol];
end

D02 = intval([]);
for m = 1:K1+K2+1
    D02 = [D02;
       ZeroCol];
end

D02 =     [D02;
    -DP_sigma];

D03 = intval([]);
D04 = intval([]);
for m = 1:K1+2
    D03 = [D03;
       ZeroCol];
   
   D04 = [D04;
      ZeroCol];
end

D03 = [D03; D_T];
D04 = [D04; D_alpha];


DG = [D01, D02, D03, D04, D1];

end

