function [G, DG, TP, TS] = ...
    primaryToSecondary_collisionMap_multShootingII_intval(...
        theta, sigma, T, alpha, X, Y, Z, K1, K2, K3, mu, C, tau, r_star, N)

%X is a matrix with 4 rows and (K1+1) columns
%Y is a matrix with 4 rows and (K2+1) columns
%Z is a matrix with 4 rows and  K3*4  columns
%
%The system has K1+K2+K3+3 4-d rows.

TP = intval(0);
TS = intval(0);


Id = intval(eye(4));
ZeroMat = intval(zeros(4, 4));
ZeroCol = intval(zeros(4, 1));

[SS_theta, DSS_theta] = ...
    collisionSet_PrimaryBody_intval(theta, mu, C, r_star);
G = SS_theta - X(:, 1);


index1 = 0;
index2 = K1 + K2 + K3 + 1;
D1 = intval([]);


for k = 1:K1
   
       k
       K1
       [phi_Sxk, Dphi_Sxk, t_P] = ...
              time_T_flow_C1_regularized_intval(...
                    X(1,k), X(2,k), X(3, k), X(4, k), ...
                    tau/K1, mu, C, r_star, N);          
        
       TP = TP + t_P         
                
       G = [G; phi_Sxk - X(:, k+1)];  
       
       errorTest = norm(G, inf)
        
       temp_col = intval([]);
       for m = 1:index1
           temp_col = [temp_col; 
                        ZeroMat];
       end

       temp_col = [temp_col; 
                        -Id;
       Dphi_Sxk(1:4, 1:4)];
       
       for n = 1:index2;
           temp_col = [temp_col;
                        ZeroMat];
       end
       
       
       D1 = [D1, temp_col];
       
       index1 = index1 + 1;
       index2 = index2 - 1;
end


[TSR_xK1_plus_1, DTSR_xK1_plus_1] = ...
    transform_primaryToRotating_intval(X(:, K1+1), mu, C, r_star); 

G = [G; TSR_xK1_plus_1 - Y(:, 1)];


temp_col = intval([]);
for m = 1:index1
    temp_col = [temp_col; 
                ZeroMat];
end

temp_col = [temp_col; 
                 -Id;
     DTSR_xK1_plus_1];
       
for n = 1:index2;
    temp_col = [temp_col;
                 ZeroMat];
end
           
D1 = [D1, temp_col];
       
index1 = index1 + 1;
index2 = index2 - 1;

D_T = intval([]);
D_alpha = intval([]);

for k = 1:K2
    
    k
    K2
    
    [phi_Ryk, Dphi_Ryk, partial_T_phi_Ryk, partial_alpha_phi_Ryk] = ...
         time_T_flow_PCRTBP_unfolding_intval(...
             Y(1,k), Y(2,k), Y(3,k), Y(4,k), T/K2, alpha, mu, r_star, N);
              
    G = [G; phi_Ryk - Y(:, k+1)];  
    
    errorCheck = norm(G, inf)
    
    D_T = [D_T; partial_T_phi_Ryk/K2];
    D_alpha = [D_alpha; partial_alpha_phi_Ryk];
    
    temp_col = intval([]);
    for m = 1:index1
        temp_col = [temp_col; 
                    ZeroMat];
    end

    temp_col = [temp_col; 
                     -Id;
                Dphi_Ryk];
       
    for n = 1:index2;
        temp_col = [temp_col;
                     ZeroMat];
    end
          
    D1 = [D1, temp_col];
       
    index1 = index1 + 1;
    index2 = index2 - 1;

end


[TRP_yK2_plus_1, DTRP_yK2_plus_1] = ...
    transform_rotatingToSecondary_intval(Y(:, K2+1), mu, C, r_star);  

G = [G; TRP_yK2_plus_1 - Z(:, 1)];

temp_col = intval([]);
for m = 1:index1
    temp_col = [temp_col; 
                ZeroMat];
end

temp_col = [temp_col; 
                 -Id;
     DTRP_yK2_plus_1];
       
for n = 1:index2;
    temp_col = [temp_col;
                 ZeroMat];
end
          
D1 = [D1, temp_col];
       
index1 = index1 + 1;
index2 = index2 - 1;

for k = 1:K3-1
    
   k 
   K3
    
   [phi_Pzk, Dphi_Pzk, t_S] = time_T_flow_C1_regularized_m1_intval(...
      Z(1,k), Z(2,k), Z(3,k), Z(4,k), tau/K3, intval('1')-mu, C, r_star, N);
  
   TS = TS + t_S
  
   G = [G; phi_Pzk - Z(:, k+1)];
   
   checkError = norm(G, inf)
   
   temp_col = intval([]);
   for m = 1:index1
       temp_col = [temp_col; 
                    ZeroMat];
   end

   temp_col = [temp_col; 
                    -Id;
     Dphi_Pzk(1:4, 1:4)];
       
   for n = 1:index2;
       temp_col = [temp_col;
                    ZeroMat];
   end
          
   D1 = [D1, temp_col];
       
   index1 = index1 + 1;
   index2 = index2 - 1;
    
end


[SP_sigma, DSP_sigma] = ...
    collisionSet_secondaryBody_intval(sigma, mu, C, r_star);

[phi_PzK3, Dphi_PzK3, t_S] = time_T_flow_C1_regularized_m1_intval(...
      Z(1,K3), Z(2,K3), Z(3,K3), Z(4,K3), ...
      tau/K3, intval('1')-mu, C, r_star, N);

TS = TS + t_S  
  
G = [G; phi_PzK3 - SP_sigma];


temp_col = intval([]);
for m = 1:index1
    temp_col = [temp_col; 
                 ZeroMat];
end

temp_col = [temp_col; 
                 -Id;
  Dphi_PzK3(1:4, 1:4)];
       
for n = 1:index2;
    temp_col = [temp_col;
                 ZeroMat];
end
          
D1 = [D1, temp_col];

D01 = DSS_theta;

for m = 1:K1+K2+K3+2
    D01 = [D01;
       ZeroCol];
end

D02 = intval([]);
for m = 1:K1+K2+K3+2
    D02 = [D02;
       ZeroCol];
end

D02 =     [D02;
    -DSP_sigma];

D03 = intval([]);
D04 = intval([]);
for m = 1:K1+2
    D03 = [D03;
       ZeroCol];
   
   D04 = [D04;
      ZeroCol];
end

D03 = [D03; D_T];
D04 = [D04; D_alpha];

for m = 1:K3+1
    D03 = [D03;
       ZeroCol];
   
   D04 = [D04;
      ZeroCol];
end

DG = [D01, D02, D03, D04, D1];

end

