function [xN, uN, yN, vN, R1, R2, Omega_x, Omega_y] = ...
    TaylorIntegrator_CRTBP_intval(IC, mu, N)

%Initialize coefficient containers:
xN = intval(zeros(N+1, 1));
uN = intval(zeros(N+1, 1));
yN = intval(zeros(N+1, 1));
vN = intval(zeros(N+1, 1));

xN(1) = IC(1);
uN(1) = IC(2);
yN(1) = IC(3);
vN(1) = IC(4);

xN_tilde1 = intval(zeros(N+1, 1));
xN_tilde2 = intval(zeros(N+1, 1));
  
xN_tilde1(1) = xN(1)-mu;    
xN_tilde2(1) = xN(1)+1-mu;;

Q1 = intval(zeros(N+1, 1));
Q2 = intval(zeros(N+1, 1));
    
Q1(1) = xN_tilde1(1)^2 + yN(1)^2;
Q2(1) = xN_tilde2(1)^2 + yN(1)^2;

R1 = intval(zeros(N+1, 1));
R2 = intval(zeros(N+1, 1));

alpha = -intval('3')/intval('2');

R1(1) = Q1(1)^alpha;
R2(1) = Q2(1)^alpha;
    
S11 = intval(zeros(N+1, 1));
S12 = intval(zeros(N+1, 1));

S21 = intval(zeros(N+1, 1));
S22 = intval(zeros(N+1, 1));

S11(1) = xN_tilde1(1)*R1(1); 
S12(1) = xN_tilde2(1)*R2(1); 

S21(1) = yN(1)*R1(1); 
S22(1) = yN(1)*R2(1); 


Omega_x = intval(zeros(N+1, 1));
Omega_y = intval(zeros(N+1, 1));

Omega_x(1) = xN(1) - (1-mu)*S11(1) - mu*S12(1);
Omega_y(1) = yN(1) - (1-mu)*S21(1) - mu*S22(1);

xN(2) = uN(1);
uN(2) = 2*vN(1) + Omega_x(1);
yN(2) = vN(1);
vN(2) = -2*uN(1) + Omega_y(1);


xN_tilde1(2) = xN(2);
xN_tilde2(2) = xN(2);


Q1(2) = 2*xN_tilde1(1)*xN_tilde1(2) + 2*yN(1)*yN(2);
Q2(2) = 2*xN_tilde2(1)*xN_tilde2(2) + 2*yN(1)*yN(2);
    

R1(2) = alpha*(Q1(1)^(alpha-1))*Q1(2);
R2(2) = alpha*(Q2(1)^(alpha-1))*Q2(2);
   
S11(2) = xN_tilde1(1)*R1(2) + xN_tilde1(2)*R1(1);
S12(2) = xN_tilde2(1)*R2(2) + xN_tilde2(2)*R2(1);

S21(2) = yN(1)*R1(2) + yN(2)*R1(1);
S22(2) = yN(1)*R2(2) + yN(2)*R2(1);
            
Omega_x(2) = xN(2) - (1-mu)*S11(2) - mu*S12(2);
Omega_y(2) = yN(2) - (1-mu)*S21(2) - mu*S22(2);


for n = 1:N-1
     
    n
    N
    
    xN(n+2) = uN(n+1)/(n+1);
    uN(n+2) = (2*vN(n+1) + Omega_x(n+1))/(n+1);
    yN(n+2) = vN(n+1)/(n+1);
    vN(n+2) = (-2*uN(n+1) + Omega_y(n+1))/(n+1);
    
    xN_tilde1(n+2) = xN(n+2);
    xN_tilde2(n+2) = xN(n+2);

    temp1 = xN_tilde1(1:n+2);
    temp2 = flipud(temp1);
    
    temp3 = yN(1:n+2);
    temp4 = flipud(temp3);
     
    temp = temp1.*temp2 + temp3.*temp4;
    Q1(n+2) = sum(temp);
    
    temp1 = xN_tilde2(1:n+2);
    temp2 = flipud(temp1);
    
    temp3 = yN(1:n+2);
    temp4 = flipud(temp3);
   
    temp = temp1.*temp2 + temp3.*temp4;
    Q2(n+2) = sum(temp);
    

    temp1 = flipud(R1(2:n+1));
    temp2 = Q1(2:n+1);
    temp3 = flipud(Q1(2:n+1));
    temp4 = R1(2:n+1);
    
    the_ks = 1:n;
    temp = (alpha*temp1.*temp2 - temp3.*temp4).*the_ks';
    sum1 = sum(temp);
    
    temp1 = flipud(R2(2:n+1));
    temp2 = Q2(2:n+1);
    temp3 = flipud(Q2(2:n+1));
    temp4 = R2(2:n+1);
    
    temp = (alpha*temp1.*temp2 - temp3.*temp4).*the_ks';
    sum2 = sum(temp);
  
     
    coef_11 = alpha*Q1(1)^(alpha-1);
    coef_12 = 1/((n+1)*Q1(1));
    R1(n+2) = coef_11*Q1(n+2) + coef_12*sum1;
    
    coef_21 = alpha*Q2(1)^(alpha-1);
    coef_22 = 1/((n+1)*Q2(1));
    R2(n+2) = coef_21*Q2(n+2) + coef_22*sum2;
        
    temp1 = flipud(xN_tilde1(1:n+2));
    temp2 = R1(1:n+2);
    temp = temp1.*temp2;
    sum1 = sum(temp);
    
    temp1 = flipud(xN_tilde2(1:n+2));
    temp2 = R2(1:n+2);
    temp = temp1.*temp2;
    sum2 = sum(temp);
    
    temp1 = flipud(yN(1:n+2));
    temp2 = R1(1:n+2);
    temp = temp1.*temp2;
    sum4 = sum(temp);
    
    temp1 = flipud(yN(1:n+2));
    temp2 = R2(1:n+2);
    temp = temp1.*temp2;
    sum5 = sum(temp);
    
    S11(n+2) = sum1;
    S12(n+2) = sum2;
    
    S21(n+2) = sum4;
    S22(n+2) = sum5;
         
    Omega_x(n+2) = xN(n+2) - (1-mu)*S11(n+2) - mu*S12(n+2);
    Omega_y(n+2) = yN(n+2) - (1-mu)*S21(n+2) - mu*S22(n+2);
       
end


return

