function [b, r] = cauchyAlphaPower_intval(a, alpha, r1, nu, N)

b = intval(zeros(N+1, 1));
b(1) = a(1)^(alpha);
coef1 = alpha*a(1)^(alpha-1);

for n = 1:N
   
    temp1 = flipud(b(2:n));
    temp2 = a(2:n);
    temp3 = flipud(a(2:n));
    temp4 = b(2:n);
    
    the_ks = 1:n-1;
    temp = (alpha*temp1.*temp2 - temp3.*temp4).*the_ks';
    sum1 = sum(temp);
   
   b(n+1) = coef1*a(n+1) + sum1/(n*a(1));
end

a_prime = powerSeriesDerivative_intval(a, N);
[Q, r_Q] = cauchyQuotient_intval(a_prime, a, 0, 0, nu, N);

K = ellNuNorm_intval(Q, nu, N) + r_Q;
norm_b = ellNuNorm_intval(b, nu, N);
norm_a = ellNuNorm_intval(a, nu, N);

epsilon1 = intval('0');
for n = N+1:2*N+1
    
    temp1 = flipud(Q(n-N:N+1));
    temp2 = b(n-N:N+1);
    temp = temp1.*temp2;
    sum1 = sum(temp);
   
    epsilon1 = epsilon1 + (abs(sum1)/n)*nu^n;
end

epsilon2 = abs(alpha)*nu*norm_b*r_Q/(N+2);
epsilon = abs(alpha)*epsilon1 + epsilon2;

contractionConst = nu*abs(alpha)*K/(N+2);

if inf(contractionConst) >= 1
    crashNow = badContraction_in_alpha_pow_validate
end

if sup(alpha - 1) < 0 
    TailBound = abs(alpha)*(norm_a - r1)^(alpha-1);
else
    TailBound = abs(alpha)*(norm_a + r1)^(alpha-1);
end

r = epsilon/(1 - contractionConst) + TailBound*r1;

end







