function [c, r] = cauchyProduct_intval(a, b, r1, r2, nu, N)

c = intval(zeros(N+1, 1));

for n = 0:N
    
    temp1 = flipud(a(1:n+1));
    temp2 = b(1:n+1);
    temp = temp1.*temp2;
    sum1 = sum(temp);
    
    c(n+1) = sum1;
end


norm_a = ellNuNorm_intval(a, nu, N);
norm_b = ellNuNorm_intval(b, nu, N);

EN = intval(0);
for n = N+1:2*N
    
   temp1 = flipud(a(n-N+1:N+1));
   temp2 = b(n-N+1:N+1);
   temp = temp1.*temp2;
   sum1 = sum(temp);
    
   EN = EN + abs(sum1)*nu^n;
end

r = EN + norm_a*r2 + norm_b*r1 + r1*r2;

end