function D = crtb_VectorField_AD_differential_intval(Y, m1, m2)

x  = Y(1);
p  = Y(2);
y  = Y(3);
q  = Y(4);
R1 = Y(5);
R2 = Y(6);

a21 = 1 - m1*R1^3 - m2*R2^3; 
a25 = -3*m1*x*R1^2 + 3*m1*m2*R1^2;  
a26 = -3*m2*x*R2^2 - 3*m2*m1*R2^2;  

a43 = 1 - m1*R1^3 - m2*R2^3; 
a45 = -3*m1*y*R1^2; 
a46 = -3*m2*y*R2^2; 

a51 = -p*R1^3;  
a52 = -x*R1^3 + m2*R1^3; 
a53 = -q*R1^3;  
a54 = -y*R1^3; 
a55 = -3*x*p*R1^2 + 3*m2*p*R1^2 -3*y*q*R1^2;  
 
a61 = -p*R2^3; 
a62 = -x*R2^3 -m1*R2^3; 
a63 = -q*R2^3;  
a64 = -y*R2^3;  
a66 = -3*x*p*R2^2 -3*m1*p*R2^2 -3*y*q*R2^2; 


zero_int = intval('0');
one_int =  intval('1');
two_int =  intval('2');

D = [zero_int,    one_int,   zero_int,   zero_int,   zero_int,   zero_int;
          a21,   zero_int,   zero_int,    two_int,        a25,        a26;
     zero_int,   zero_int,   zero_int,    one_int,   zero_int,   zero_int;
     zero_int,   -two_int,        a43,   zero_int,        a45,        a46;
          a51,        a52,        a53,        a54,        a55,   zero_int;
          a61,        a62,        a63,        a64,   zero_int,        a66];


return




