function [DFN, r_DFN] = evaluateCRFBP_FieldDifferential_poly_Intval(...
                                   xN, uN, yN, vN, zN, wN, ...
                                   r1, r2, r3, r4, r5, r6, ...
                                   P1, P2, P3, m1, m2, m3, nu, N);
    
                               
alpha1 = -intval(3)/intval(2);   
alpha2 = -intval(5)/intval(2);    

x1 = P1(1);
x2 = P2(1);
x3 = P3(1);

y1 = P1(2);
y2 = P2(2);
y3 = P3(2);
   
xN_tilde1 = xN;
xN_tilde1(1) = xN(1) - x1;
   
xN_tilde2 = xN;
xN_tilde2(1) = xN(1) - x2;

xN_tilde3 = xN;
xN_tilde3(1) = xN(1) - x3;
   
yN_tilde1 = yN;
yN_tilde1(1) = yN(1) - y1;
   
yN_tilde2 = yN;
yN_tilde2(1) = yN(1) - y2;

yN_tilde3 = yN;
yN_tilde3(1) = yN(1) - y3;


[xN1yN1, r_x1y1] = ...
    cauchyProduct_intval(xN_tilde1, yN_tilde1, 0, 0, nu, N);

[xN2yN2, r_x2y2] = ...
    cauchyProduct_intval(xN_tilde2, yN_tilde2, 0, 0, nu, N);

[xN3yN3, r_x3y3] = ...
    cauchyProduct_intval(xN_tilde3, yN_tilde3, 0, 0, nu, N);

[xN1zN, r_x1z] = ...
    cauchyProduct_intval(xN_tilde1, zN, 0, 0, nu, N);

[xN2zN, r_x2z] = ...
    cauchyProduct_intval(xN_tilde2, zN, 0, 0, nu, N);

[xN3zN, r_x3z] = ...
    cauchyProduct_intval(xN_tilde3, zN, 0, 0, nu, N);

[yN1zN, r_y1z] = ...
    cauchyProduct_intval(yN_tilde1, zN, 0, 0, nu, N);

[yN2zN, r_y2z] = ...
    cauchyProduct_intval(yN_tilde2, zN, 0, 0, nu, N);

[yN3zN, r_y3z] = ...
    cauchyProduct_intval(yN_tilde3, zN, 0, 0, nu, N);


[xN1_squared, r_x1_squared] = ...
    cauchyProduct_intval(xN_tilde1, xN_tilde1, 0, 0, nu, N);

[yN1_squared, r_y1_squared] = ...
    cauchyProduct_intval(yN_tilde1, yN_tilde1, 0, 0, nu, N);

[xN2_squared, r_x2_squared] = ...
    cauchyProduct_intval(xN_tilde2, xN_tilde2, 0, 0, nu, N);

[yN2_squared, r_y2_squared] = ...
    cauchyProduct_intval(yN_tilde2, yN_tilde2, 0, 0, nu, N);

[xN3_squared, r_x3_squared] = ...
    cauchyProduct_intval(xN_tilde3, xN_tilde3, 0, 0, nu, N);

[yN3_squared, r_y3_squared] = ...
    cauchyProduct_intval(yN_tilde3, yN_tilde3, 0, 0, nu, N);

[zN_squared, r_z_squared] = ...
     cauchyProduct_intval(zN, zN, 0, 0, nu, N);

 
 
 
Q1 = xN1_squared + yN1_squared + zN_squared;
r_Q1 = r_x1_squared + r_y1_squared + r_z_squared;

Q2 = xN2_squared + yN2_squared + zN_squared;
r_Q2 = r_x2_squared + r_y2_squared + r_z_squared;

Q3 = xN3_squared + yN3_squared + zN_squared;
r_Q3 = r_x3_squared + r_y3_squared + r_z_squared;                               
                               

[R1, r_R1] = cauchyAlphaPower_intval(Q1, alpha1, r_Q1, nu, N);
[R2, r_R2] = cauchyAlphaPower_intval(Q2, alpha1, r_Q2, nu, N);
[R3, r_R3] = cauchyAlphaPower_intval(Q3, alpha1, r_Q3, nu, N);
                               
 
[T1, r_T1] = cauchyAlphaPower_intval(Q1, alpha2, r_Q1, nu, N);
[T2, r_T2] = cauchyAlphaPower_intval(Q2, alpha2, r_Q2, nu, N);
[T3, r_T3] = cauchyAlphaPower_intval(Q3, alpha2, r_Q3, nu, N);                              
    

    
[xN1_squared_T1, r_xN12_T1] = cauchyProduct_intval(...
              xN1_squared, T1, r_x1_squared, r_T1, nu, N);    

 [xN2_squared_T2, r_xN22_T2] = cauchyProduct_intval(...
              xN2_squared, T2, r_x2_squared, r_T2, nu, N); 
          
 [xN3_squared_T3, r_xN32_T3] = cauchyProduct_intval(...
              xN3_squared, T3, r_x3_squared, r_T3, nu, N); 
    
          
[yN1_squared_T1, r_yN12_T1] = cauchyProduct_intval(...
              yN1_squared, T1, r_y1_squared, r_T1, nu, N);    

 [yN2_squared_T2, r_yN22_T2] = cauchyProduct_intval(...
              yN2_squared, T2, r_y2_squared, r_T2, nu, N); 
          
 [yN3_squared_T3, r_yN32_T3] = cauchyProduct_intval(...
              yN3_squared, T3, r_y3_squared, r_T3, nu, N);           
          

[zN_squared_T1, r_zN2_T1] = cauchyProduct_intval(...
              zN_squared, T1, r_z_squared, r_T1, nu, N);    

 [zN_squared_T2, r_zN2_T2] = cauchyProduct_intval(...
              zN_squared, T2, r_z_squared, r_T2, nu, N); 
          
 [zN_squared_T3, r_zN2_T3] = cauchyProduct_intval(...
              zN_squared, T3, r_z_squared, r_T3, nu, N);          
          
          
Omega_xx1 = m1*R1 - 3*m1*xN1_squared_T1;
Omega_xx2 = m2*R2 - 3*m2*xN2_squared_T2;
Omega_xx3 = m3*R3 - 3*m3*xN3_squared_T3;

Omega_xx = -Omega_xx1 - Omega_xx2 - Omega_xx3;
Omega_xx(1) = Omega_xx(1) + 1;
                               
r_Omega_xx = m1*r_R1 + 3*m1*r_xN12_T1 + ...                               
             m2*r_R2 + 3*m2*r_xN22_T2 + ... 
             m3*r_R3 + 3*m3*r_xN32_T3;
                               
                               
Omega_yy1 = m1*R1 - 3*m1*yN1_squared_T1;
Omega_yy2 = m2*R2 - 3*m2*yN2_squared_T2;
Omega_yy3 = m3*R3 - 3*m3*yN3_squared_T3;

Omega_yy = -Omega_yy1 - Omega_yy2 - Omega_yy3;
Omega_yy(1) = Omega_yy(1) + 1;
                               
r_Omega_yy = m1*r_R1 + 3*m1*r_yN12_T1 + ...                               
             m2*r_R2 + 3*m2*r_yN22_T2 + ... 
             m3*r_R3 + 3*m3*r_yN32_T3;                               
                               
Omega_zz1 = m1*R1 - 3*m1*zN_squared_T1;
Omega_zz2 = m2*R2 - 3*m2*zN_squared_T2;
Omega_zz3 = m3*R3 - 3*m3*zN_squared_T3;

Omega_zz = -Omega_zz1 - Omega_zz2 - Omega_zz3;
                               
r_Omega_zz = m1*r_R1 + 3*m1*r_zN2_T1 + ...                               
             m2*r_R2 + 3*m2*r_zN2_T2 + ... 
             m3*r_R3 + 3*m3*r_zN2_T3;                                
                               
                               
                               
                               
[Omega_xy1, r_Omega_xy1] = ...
    cauchyProduct_intval(xN1yN1, T1, r_x1y1, r_T1, nu, N);                             
                               
[Omega_xy2, r_Omega_xy2] = ...
    cauchyProduct_intval(xN2yN2, T2, r_x2y2, r_T2, nu, N);   
    
[Omega_xy3, r_Omega_xy3] = ...
    cauchyProduct_intval(xN3yN3, T3, r_x3y3, r_T3, nu, N);   
                               
Omega_xy = 3*(m1*Omega_xy1 + m2*Omega_xy2 + m3*Omega_xy3);                               
r_Omega_xy = 3*m1*r_Omega_xy1 + 3*m2*r_Omega_xy2 + 3*m3*r_Omega_xy3;                                
                               
                             
                               
[Omega_yz1, r_Omega_yz1] = ...
    cauchyProduct_intval(yN1zN, T1, r_y1z, r_T1, nu, N);                             
                               
[Omega_yz2, r_Omega_yz2] = ...
    cauchyProduct_intval(yN2zN, T2, r_y2z, r_T2, nu, N);   
    
[Omega_yz3, r_Omega_yz3] = ...
    cauchyProduct_intval(yN3zN, T3, r_y3z, r_T3, nu, N);   
                               
Omega_yz = 3*(m1*Omega_yz1 + m2*Omega_yz2 + m3*Omega_yz3);                               
r_Omega_yz = 3*m1*r_Omega_yz1 + 3*m2*r_Omega_yz2 + 3*m3*r_Omega_yz3;  

                             
                               
[Omega_xz1, r_Omega_xz1] = ...
    cauchyProduct_intval(xN1zN, T1, r_x1z, r_T1, nu, N);                             
                               
[Omega_xz2, r_Omega_xz2] = ...
    cauchyProduct_intval(xN2zN, T2, r_x2z, r_T2, nu, N);   
    
[Omega_xz3, r_Omega_xz3] = ...
    cauchyProduct_intval(xN3zN, T3, r_x3z, r_T3, nu, N);   
                               
Omega_xz = 3*(m1*Omega_xz1 + m2*Omega_xz2 + m3*Omega_xz3);                               
r_Omega_xz = 3*m1*r_Omega_xz1 + 3*m2*r_Omega_xz2 + 3*m3*r_Omega_xz3;

r_mat = [         0, 0,          0, 0,          0, 0;
         r_Omega_xx, 0, r_Omega_xy, 0, r_Omega_xz, 0;
                  0, 0,          0, 0,          0, 0;
         r_Omega_xy, 0, r_Omega_yy, 0, r_Omega_yz, 0;
                  0, 0,          0, 0,          0, 0;
         r_Omega_xz, 0, r_Omega_yz, 0, r_Omega_zz, 0];
     
r_DFN = norm(r_mat, inf);

DFN = intval(zeros(6, 6, N+1));

for n = 0:N
   An =  [            0, 0,             0, 0,             0, 0;
          Omega_xx(n+1), 0, Omega_xy(n+1), 0, Omega_xz(n+1), 0;
                      0, 0,             0, 0,             0, 0;
          Omega_xy(n+1), 0, Omega_yy(n+1), 0, Omega_yz(n+1), 0;
                      0, 0,             0, 0,             0, 0;
          Omega_xz(n+1), 0, Omega_yz(n+1), 0, Omega_zz(n+1), 0];
      
   DFN(:, :, n+1) = An; 
end

DFN(:, :, 1) = DFN(:, :, 1) + intval([0,  1, 0, 0, 0, 0;
                                      0,  0, 0, 2, 0, 0;
                                      0,  0, 0, 1, 0, 0;
                                      0, -2, 0, 0, 0, 0;
                                      0,  0, 0, 0, 0, 1;
                                      0,  0, 0, 0, 0, 0]);






                               
                               
                               