function [F1N, F2N, F3N, F4N, r_F1, r_F2, r_F3, r_F4] = ...
    evaluateCRTBP_regularized_primary_Field_poly_Intval(...
       xN, uN, yN, vN, mu, C, nu, N);
   
alpha = -intval(3)/intval(2);   
   
[x2, r_x2] = ...
    cauchyProduct_intval(xN, xN, 0, 0, nu, N);

[y2, r_y2] = ...
    cauchyProduct_intval(yN, yN, 0, 0, nu, N);

[x2_y2_2, r_x2_y2_2] = cauchyProduct_intval(...
    x2 + y2, x2 + y2, r_x2 + r_y2, r_x2 + r_y2, nu, N);

[x2v_y2v, r_x2v_y2v] = ...
    cauchyProduct_intval(x2 + y2, vN, r_x2 + r_y2, 0, nu, N);

[x2u_y2u, r_x2u_y2u] = ...
    cauchyProduct_intval(x2 + y2, uN, r_x2 + r_y2, 0, nu, N);

[x3, r_x3] = ...
    cauchyProduct_intval(x2, xN, r_x2, 0, nu, N);

[y3, r_y3] = ...
    cauchyProduct_intval(y2, yN, r_y2, 0, nu, N);

[xy2, r_xy2] = ...
    cauchyProduct_intval(xN, y2, 0, r_y2, nu, N);

[x2y, r_x2y] = ...
    cauchyProduct_intval(x2, yN, r_x2, 0, nu, N);

[xRsquared, r_xRsquared] = ...
    cauchyProduct_intval(xN, x2_y2_2, 0, r_x2_y2_2, nu, N);

[yRsquared, r_yRsquared] = ...
    cauchyProduct_intval(yN, x2_y2_2, 0, r_x2_y2_2, nu, N);

%Constant Series:
CS1 = intval(zeros(N+1, 1));
CS1(1) = intval('1');

%Quitient:
Q = x2_y2_2 + 2*(x2 - y2) + CS1;
r_Q = r_x2_y2_2 + 2*(r_x2 + r_y2);

[R, r_R] = cauchyAlphaPower_intval(Q, alpha, r_Q, nu, N);

[Nx, r_Nx] = ...
    cauchyProduct_intval(x3 - 3*xy2 + xN, R, r_x3+3*r_xy2, r_R, nu, N);

[Ny, r_Ny] = ...
    cauchyProduct_intval(-y3 + 3*x2y + yN, R, r_y3+3*r_x2y, r_R, nu, N);

F1N = uN;
F2N = 8*x2v_y2v + 12*xRsquared + 16*mu*x3 + 4*(mu-C)*xN + 8*mu*Nx;
F3N = vN;
F4N = -8*x2u_y2u + 12*yRsquared - 16*mu*y3 + 4*(mu-C)*yN + 8*mu*Ny;


r_F1 = intval('0');
r_F2 = 8*r_x2v_y2v + 12*r_xRsquared + 16*mu*r_x3 + 8*mu*r_Nx;
r_F3 = intval('0');
r_F4 = 8*r_x2u_y2u + 12*r_yRsquared + 16*mu*r_y3 + 8*mu*r_Ny;

end

