function [F1N, F2N, F3N, F4N, r_F1, r_F2, r_F3, r_F4] = ...
    evaluateCRTBP_unfolding_Field_poly_Intval(...
       xN, uN, yN, vN, mu, c, nu, N);
  
alpha = -intval(3)/intval(2);   
     
xN_tilde1 = xN;
xN_tilde1(1) = xN(1) - mu;
   
xN_tilde2 = xN;
xN_tilde2(1) = xN(1) + 1 - mu;

[xN1_squared, r_x1_squared] = ...
    cauchyProduct_intval(xN_tilde1, xN_tilde1, 0, 0, nu, N);

[xN2_squared, r_x2_squared] = ...
    cauchyProduct_intval(xN_tilde2, xN_tilde2, 0, 0, nu, N);

[yN_squared, r_y_squared] = ...
    cauchyProduct_intval(yN, yN, 0, 0, nu, N);


Q1 = xN1_squared + yN_squared;
r_Q1 = r_x1_squared + r_y_squared;

Q2 = xN2_squared + yN_squared;
r_Q2 = r_x2_squared + r_y_squared;


[R1, r_R1] = cauchyAlphaPower_intval(Q1, alpha, r_Q1, nu, N);
[R2, r_R2] = cauchyAlphaPower_intval(Q2, alpha, r_Q2, nu, N);


[S11, r_S11] = ...
    cauchyProduct_intval(xN_tilde1, R1, 0, r_R1, nu, N);

[S12, r_S12] = ...
    cauchyProduct_intval(xN_tilde2, R2, 0, r_R2, nu, N);

[S21, r_S21] = ...
    cauchyProduct_intval(yN, R1, 0, r_R1, nu, N);

[S22, r_S22] = ...
    cauchyProduct_intval(yN, R2, 0, r_R2, nu, N);

Omega_x = xN - (1-mu)*S11 - mu*S12;
Omega_y = yN - (1-mu)*S21 - mu*S22;

r_Omega_x = abs(1-mu)*r_S11 + abs(mu)*r_S12;
r_Omega_y = abs(1-mu)*r_S21 + abs(mu)*r_S22;

F1N = uN;
F2N = 2*vN + Omega_x + c*uN;
F3N = vN;
F4N = -2*uN + Omega_y + c*vN;

r_F1 = intval('0');
r_F2 = r_Omega_x;
r_F3 = intval('0');
r_F4 = r_Omega_y;


