function T = timeFromRegularizedTime_crtbp_primary_intval(...
    xN, yN, r_proof, T, N);

[x2, r_x2] = cauchyProduct_intval(xN, xN, r_proof, r_proof, T, N);
[y2, r_y2] = cauchyProduct_intval(yN, yN, r_proof, r_proof, T, N);

Integrand = 4*(x2 + y2);

tauN = intval(zeros(N+1, 1));
for n = 1:N
    tauN(n+1) = Integrand(n)/n;
end

r_T = 4*T*(r_x2 + r_y2)/(N+2) + (T^(N+1))*tauN(end)/(N+1);

TN = horner(T, tauN, N);

T = TN + infsup(-sup(r_T), sup(r_T));




