function [proofSuccess, r_proof] = ...
              validateTaylorStep_crtbpUnfolding_intval(...
                     xN, uN, yN, vN, mu, c, r_star, nu, N)

%========================= Validated Bound: ===============================

%F(PN):
[F1N, F2N, F3N, F4N, r_F1, r_F2, r_F3, r_F4] = ...
    evaluateCRTBP_unfolding_Field_poly_Intval(...
       xN, uN, yN, vN, mu, c, nu, N); 
   
%F(PN) bound:  
r_FN = norm([r_F1, r_F2, r_F3, r_F4], inf);

%Psi Defect:
epsilon_N = ((nu^(N+1))/(N+1))*...
                 norm([F1N(end);
                       F2N(end);
                       F3N(end);
                       F4N(end)], inf) + (nu/(N+2))*r_FN;

xN_tilde1 = xN;
xN_tilde1(1) = xN_tilde1(1) - mu;
     
xN_tilde2 = xN;
xN_tilde2(1) = xN_tilde2(1) + 1 - mu;
                   
%Derivative Dound:   crfbDiff_Bound
x_tilde1_norm = ellNuNorm_intval(xN_tilde1, nu, N);
x_tilde2_norm = ellNuNorm_intval(xN_tilde2, nu, N);
yN_norm = ellNuNorm_intval(yN, nu, N);

K = crtbp_unfolding_diff_Bound(...
        x_tilde1_norm, x_tilde2_norm, yN_norm, c, mu, r_star);

contractionConstant = nu*K/(N+2)

if sup(contractionConstant) >= 1
    crashNow = psiNotA_contraction
end

r_proof =  epsilon_N/(1 - contractionConstant);
% r_proof = (1+500000*eps)*epsilon_N/(1 - contractionConstant);


proofSuccess = 0;
if sup(r_proof) <= r_star
    %sup(contractionConstant*r_proof + epsilon_N) <= inf(r_proof)
    proofSuccess = 1;
end

end




