function [proofSuccess, r_proof] = ...
              validateTaylorStep_crtbp_regularized_secondary_intval(...
                     xN, uN, yN, vN, m1, C, r_star, nu, N)

%========================= Validated Bound: ===============================



%F(PN):
[F1N, F2N, F3N, F4N, r_F1, r_F2, r_F3, r_F4] = ...
    evaluateCRTBP_regularized_secondary_Field_poly_Intval(...
       xN, uN, yN, vN, ...
       m1, C, nu, N); 

   
%F(PN) bound:  
r_FN = norm([r_F1, r_F2, r_F3, r_F4], inf);


%Psi Defect:
epsilon_N = ((nu^(N+1))/(N+1))*...
                 norm([F1N(end);
                       F2N(end);
                       F3N(end);
                       F4N(end)], inf) + (nu/(N+2))*r_FN;

                   
%Derivative Dound:   crfbDiff_Bound
xN_norm = ellNuNorm_intval(xN, nu, N);
uN_norm = ellNuNorm_intval(uN, nu, N);
yN_norm = ellNuNorm_intval(yN, nu, N);
vN_norm = ellNuNorm_intval(vN, nu, N);

K = crtbp_regularized_secondary_Diff_Bound(...
                    xN_norm, uN_norm, yN_norm, vN_norm, m1, C, r_star);

contractionConstant = nu*K/(N+2)

if sup(contractionConstant) >= 1
    crashNow = psiNotA_contraction
end

r_proof =  epsilon_N/(1 - contractionConstant);


proofSuccess = 0;
if  sup(r_proof) <= r_star
    %sup(contractionConstant*r_proof + epsilon_N) <= inf(r_proof)
    proofSuccess = 1;
end


end
